#include <qtdbus_includes.h>

#include <smoke.h>
#include <qtdbus_smoke.h>

namespace __smokeqtdbus {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //DBusError
      switch(to) {
        case 1: return (void*)(DBusError*)xptr;
        default: return xptr;
      }
    case 2:   //QBitArray
      switch(to) {
        case 2: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChar
      switch(to) {
        case 5: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 6:   //QChildEvent
      switch(to) {
        case 30: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 6: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDBusAbstractAdaptor
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusAbstractAdaptor*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)xptr;
        default: return xptr;
      }
    case 9:   //QDBusAbstractInterface
      switch(to) {
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusAbstractInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 10:   //QDBusAbstractInterfaceBase
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusAbstractInterfaceBase*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterfaceBase*)xptr;
        default: return xptr;
      }
    case 11:   //QDBusArgument
      switch(to) {
        case 11: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 12:   //QDBusConnection
      switch(to) {
        case 12: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 13:   //QDBusConnectionInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusConnectionInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusConnectionInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusConnectionInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)xptr;
        default: return xptr;
      }
    case 14:   //QDBusContext
      switch(to) {
        case 14: return (void*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 15:   //QDBusError
      switch(to) {
        case 15: return (void*)(QDBusError*)xptr;
        default: return xptr;
      }
    case 16:   //QDBusInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QDBusMessage
      switch(to) {
        case 17: return (void*)(QDBusMessage*)xptr;
        default: return xptr;
      }
    case 18:   //QDBusMetaType
      switch(to) {
        case 18: return (void*)(QDBusMetaType*)xptr;
        default: return xptr;
      }
    case 19:   //QDBusPendingCall
      switch(to) {
        case 19: return (void*)(QDBusPendingCall*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QDBusPendingCall*)xptr;
        default: return xptr;
      }
    case 20:   //QDBusPendingCallWatcher
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusPendingCallWatcher*)xptr;
        case 19: return (void*)(QDBusPendingCall*)(QDBusPendingCallWatcher*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)xptr;
        default: return xptr;
      }
    case 21:   //QDBusServer
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusServer*)xptr;
        case 21: return (void*)(QDBusServer*)xptr;
        default: return xptr;
      }
    case 22:   //QDBusServiceWatcher
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusServiceWatcher*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)xptr;
        default: return xptr;
      }
    case 23:   //QDBusVariant
      switch(to) {
        case 58: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 23: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 24:   //QDataStream
      switch(to) {
        case 24: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 25:   //QDate
      switch(to) {
        case 25: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 26:   //QDateTime
      switch(to) {
        case 26: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 27:   //QDebug
      switch(to) {
        case 27: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 28:   //QDir
      switch(to) {
        case 28: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 29:   //QEasingCurve
      switch(to) {
        case 29: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QEvent
      switch(to) {
        case 30: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QHashDummyValue
      switch(to) {
        case 32: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 33:   //QIncompatibleFlag
      switch(to) {
        case 33: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 34:   //QLatin1String
      switch(to) {
        case 34: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 35:   //QLine
      switch(to) {
        case 35: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 36:   //QLineF
      switch(to) {
        case 36: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 37:   //QLocale
      switch(to) {
        case 37: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 38:   //QMargins
      switch(to) {
        case 38: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 39:   //QMetaObject
      switch(to) {
        case 39: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 40:   //QModelIndex
      switch(to) {
        case 40: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 41:   //QObject
      switch(to) {
        case 41: return (void*)(QObject*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)(QObject*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QObject*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QObject*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QObject*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)(QObject*)xptr;
        case 16: return (void*)(QDBusInterface*)(QObject*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QObject*)xptr;
        case 21: return (void*)(QDBusServer*)(QObject*)xptr;
        default: return xptr;
      }
    case 42:   //QPersistentModelIndex
      switch(to) {
        case 42: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QPoint
      switch(to) {
        case 43: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 44:   //QPointF
      switch(to) {
        case 44: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 45:   //QRect
      switch(to) {
        case 45: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 46:   //QRectF
      switch(to) {
        case 46: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 47:   //QRegExp
      switch(to) {
        case 47: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 48:   //QSize
      switch(to) {
        case 48: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 49:   //QSizeF
      switch(to) {
        case 49: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 50:   //QString::Null
      switch(to) {
        case 50: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 51:   //QStringRef
      switch(to) {
        case 51: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QTimerEvent
      switch(to) {
        case 30: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 55: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QUrl
      switch(to) {
        case 56: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 57:   //QUuid
      switch(to) {
        case 57: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 58:   //QVariant
      switch(to) {
        case 58: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 59:   //QVariantComparisonHelper
      switch(to) {
        case 59: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    41, 0,	// 1: QObject
    10, 0,	// 3: QDBusAbstractInterfaceBase
    9, 0,	// 5: QDBusAbstractInterface
    41, 19, 0,	// 7: QObject, QDBusPendingCall
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSystemSemaphore(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextBoundaryFinder(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibraryInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextCodec(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnectionInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractAnimation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTimeLine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QXmlStreamReader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHistoryState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaMethod(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCryptographicHash(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibrary(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStateMachine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QThread(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QReadWriteLock(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDirIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngineIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMutex(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFutureInterfaceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSocketNotifier(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusArgument(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEventLoop(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusServiceWatcher(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSharedMemory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCoreApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDBus(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractAdaptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterfaceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusArgument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnectionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusError(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMetaType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCall(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCallWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServiceWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "DBusError", true, 0, 0, 0, 0, 0 },	//1
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChar", true, 0, 0, 0, 0, 0 },	//5
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QDBus", false, 0, xcall_QDBus, 0, Smoke::cf_namespace, 0 },	//7
    { "QDBusAbstractAdaptor", false, 1, xcall_QDBusAbstractAdaptor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractAdaptor) },	//8
    { "QDBusAbstractInterface", false, 3, xcall_QDBusAbstractInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterface) },	//9
    { "QDBusAbstractInterfaceBase", false, 1, xcall_QDBusAbstractInterfaceBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterfaceBase) },	//10
    { "QDBusArgument", false, 0, xcall_QDBusArgument, xenum_QDBusArgument, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusArgument) },	//11
    { "QDBusConnection", false, 0, xcall_QDBusConnection, xenum_QDBusConnection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusConnection) },	//12
    { "QDBusConnectionInterface", false, 5, xcall_QDBusConnectionInterface, xenum_QDBusConnectionInterface, Smoke::cf_virtual, sizeof(QDBusConnectionInterface) },	//13
    { "QDBusContext", false, 0, xcall_QDBusContext, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusContext) },	//14
    { "QDBusError", false, 0, xcall_QDBusError, xenum_QDBusError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusError) },	//15
    { "QDBusInterface", false, 5, xcall_QDBusInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusInterface) },	//16
    { "QDBusMessage", false, 0, xcall_QDBusMessage, xenum_QDBusMessage, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMessage) },	//17
    { "QDBusMetaType", false, 0, xcall_QDBusMetaType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMetaType) },	//18
    { "QDBusPendingCall", false, 0, xcall_QDBusPendingCall, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusPendingCall) },	//19
    { "QDBusPendingCallWatcher", false, 7, xcall_QDBusPendingCallWatcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusPendingCallWatcher) },	//20
    { "QDBusServer", false, 1, xcall_QDBusServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServer) },	//21
    { "QDBusServiceWatcher", false, 1, xcall_QDBusServiceWatcher, xenum_QDBusServiceWatcher, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServiceWatcher) },	//22
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//23
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//24
    { "QDate", true, 0, 0, 0, 0, 0 },	//25
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//26
    { "QDebug", true, 0, 0, 0, 0, 0 },	//27
    { "QDir", true, 0, 0, 0, 0, 0 },	//28
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//29
    { "QEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//31
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//32
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//33
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//34
    { "QLine", true, 0, 0, 0, 0, 0 },	//35
    { "QLineF", true, 0, 0, 0, 0, 0 },	//36
    { "QLocale", true, 0, 0, 0, 0, 0 },	//37
    { "QMargins", true, 0, 0, 0, 0, 0 },	//38
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//39
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//40
    { "QObject", true, 0, 0, 0, 0, 0 },	//41
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QPoint", true, 0, 0, 0, 0, 0 },	//43
    { "QPointF", true, 0, 0, 0, 0, 0 },	//44
    { "QRect", true, 0, 0, 0, 0, 0 },	//45
    { "QRectF", true, 0, 0, 0, 0, 0 },	//46
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//47
    { "QSize", true, 0, 0, 0, 0, 0 },	//48
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//49
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//50
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QUrl", true, 0, 0, 0, 0, 0 },	//56
    { "QUuid", true, 0, 0, 0, 0, 0 },	//57
    { "QVariant", true, 0, 0, 0, 0, 0 },	//58
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//59
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "QBitArray", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDBus::CallMode", 7, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QDBusAbstractAdaptor*", 8, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDBusAbstractInterface*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref },	//13
    { "QDBusArgument*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QDBusArgument::ElementType", 11, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDBusConnection", 12, Smoke::t_class|Smoke::tf_stack },	//16
    { "QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "QDBusConnection*", 12, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QDBusConnection::BusType", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDBusConnection::RegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QDBusConnection::RegisterOptions", 0, Smoke::t_uint|Smoke::tf_stack },	//21
    { "QDBusConnection::RegisterOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//22
    { "QDBusConnection::UnregisterMode", 12, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QDBusConnectionInterface*", 13, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QDBusConnectionInterface::RegisterServiceReply", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDBusConnectionInterface::ServiceQueueOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDBusConnectionInterface::ServiceReplacementOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QDBusContext*", 14, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDBusError", 15, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDBusError&", 15, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDBusError*", 15, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDBusError::ErrorType", 15, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDBusInterface*", 16, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QDBusMessage", 17, Smoke::t_class|Smoke::tf_stack },	//34
    { "QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref },	//35
    { "QDBusMessage*", 17, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDBusMessage::MessageType", 17, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QDBusMetaType*", 18, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref },	//39
    { "QDBusPendingCall", 19, Smoke::t_class|Smoke::tf_stack },	//40
    { "QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref },	//41
    { "QDBusPendingCall*", 19, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QDBusPendingCallWatcher*", 20, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDBusReply<QDBusConnectionInterface::RegisterServiceReply>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QDBusReply<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QDBusReply<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QDBusReply<unsigned int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QDBusServer*", 21, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QDBusServiceWatcher*", 22, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QDBusServiceWatcher::WatchMode", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QDBusServiceWatcher::WatchMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//53
    { "QDBusServiceWatcher::WatchModeFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//54
    { "QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref },	//55
    { "QDBusVariant&", 23, Smoke::t_class|Smoke::tf_ref },	//56
    { "QDataStream&", 24, Smoke::t_class|Smoke::tf_ref },	//57
    { "QDate&", 25, Smoke::t_class|Smoke::tf_ref },	//58
    { "QDateTime&", 26, Smoke::t_class|Smoke::tf_ref },	//59
    { "QDebug", 27, Smoke::t_class|Smoke::tf_stack },	//60
    { "QDir::Filters", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QDir::Filters::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QDir::SortFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "QDirIterator::IteratorFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "QEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QEventLoop::ProcessEventsFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "QFile::Permissions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "QFlags<QAbstractFileEngine::FileFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "QFlags<QDBusConnection::RegisterOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QFlags<QDBusServiceWatcher::WatchMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QFlags<QDir::Filters::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QFlags<QDir::SortFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QFlags<QDirIterator::IteratorFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QFlags<QEventLoop::ProcessEventsFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QFlags<QFile::Permissions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QFlags<QIODevice::OpenMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QFlags<QLibrary::LoadHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//77
    { "QFlags<QLocale::NumberOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//78
    { "QFlags<QString::SectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//79
    { "QFlags<QTextCodec::ConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QFlags<QTextStream::NumberFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QFlags<QUrl::FormattingOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QFlags<Qt::Alignment::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QFlags<Qt::DockWidgetAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QFlags<Qt::DropActions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QFlags<Qt::GestureFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QFlags<Qt::ImageConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QFlags<Qt::InputMethodHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QFlags<Qt::ItemFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QFlags<Qt::KeyboardModifiers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QFlags<Qt::MatchFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QFlags<Qt::MouseButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QFlags<Qt::Orientations::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QFlags<Qt::TextInteractionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QFlags<Qt::ToolBarAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QFlags<Qt::TouchPointStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QFlags<Qt::WindowFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QFlags<Qt::WindowStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QIODevice::OpenMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QIncompatibleFlag", 33, Smoke::t_class|Smoke::tf_stack },	//101
    { "QLibrary::LoadHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QLine&", 35, Smoke::t_class|Smoke::tf_ref },	//103
    { "QLineF&", 36, Smoke::t_class|Smoke::tf_ref },	//104
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//106
    { "QLocale&", 37, Smoke::t_class|Smoke::tf_ref },	//107
    { "QLocale::NumberOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QMetaObject::Call", 39, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QObject*", 41, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QObject*(*)()", 41, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QPoint&", 43, Smoke::t_class|Smoke::tf_ref },	//112
    { "QPointF&", 44, Smoke::t_class|Smoke::tf_ref },	//113
    { "QRect&", 45, Smoke::t_class|Smoke::tf_ref },	//114
    { "QRectF&", 46, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRegExp&", 47, Smoke::t_class|Smoke::tf_ref },	//116
    { "QSize&", 48, Smoke::t_class|Smoke::tf_ref },	//117
    { "QSizeF&", 49, Smoke::t_class|Smoke::tf_ref },	//118
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//120
    { "QString::Null", 50, Smoke::t_class|Smoke::tf_stack },	//121
    { "QString::SectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//123
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//124
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//125
    { "QTextCodec::ConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//126
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//127
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//128
    { "QTextStream::NumberFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//130
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//131
    { "QTimerEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QUrl&", 56, Smoke::t_class|Smoke::tf_ref },	//133
    { "QUrl::FormattingOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//134
    { "QUuid&", 57, Smoke::t_class|Smoke::tf_ref },	//135
    { "QVariant", 58, Smoke::t_class|Smoke::tf_stack },	//136
    { "QVariant&", 58, Smoke::t_class|Smoke::tf_ref },	//137
    { "QVariant::Type", 58, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QVariant::Type&", 58, Smoke::t_enum|Smoke::tf_ref },	//139
    { "Qt::Alignment::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//140
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::DockWidgetAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//162
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::DropActions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//164
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::GestureFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//170
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::ImageConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//175
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::InputMethodHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//178
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ItemFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//182
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::KeyboardModifiers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//186
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::MatchFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//190
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::MouseButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//193
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::Orientations::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//196
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::TextInteractionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//209
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::ToolBarAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//214
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TouchPointStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//217
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::WindowFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//221
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::WindowStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//225
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtMsgType", 31, Smoke::t_enum|Smoke::tf_stack },	//229
    { "__codecvt_result", 31, Smoke::t_enum|Smoke::tf_stack },	//230
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//231
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//232
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//233
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//234
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//235
    { "const DBusError*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//236
    { "const QBitArray&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QByteArray", 4, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//238
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QChar&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QDBusContext&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QDBusError&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QDBusMetaType&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QDBusVariant&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QDate&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QDateTime&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QDir&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QEasingCurve&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QHashDummyValue&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QLatin1String&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QLine&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QLineF&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QLocale&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QMargins&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QMetaObject&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QMetaObject*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//264
    { "const QModelIndex&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QObject*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//266
    { "const QPersistentModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QPoint", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//268
    { "const QPoint&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QPointF", 44, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//270
    { "const QPointF&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QRect&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QRectF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QRegExp&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QRegExp*", 47, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//275
    { "const QSize", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//276
    { "const QSize&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QSizeF", 49, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//278
    { "const QSizeF&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//280
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//283
    { "const QStringRef&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QUrl&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QUuid&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QVariant&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QVariant::Type", 58, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//289
    { "const QVariantComparisonHelper&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//291
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//292
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//293
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//294
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//295
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//296
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//297
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//298
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//299
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//300
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//301
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//302
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//303
    { "short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//304
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//305
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//306
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//307
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//308
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//309
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//310
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//311
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//312
    { "unsigned long long", 0, Smoke::t_ulong|Smoke::tf_stack },	//313
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//314
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//315
    { "unsigned short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//316
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//317
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//318
    { "void(*)(QDBusArgument&,const void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//319
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//320
    { "void(*)(const QDBusArgument&,void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//321
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//322
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//323
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//324
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    291, 0,	//1  const char*
    291, 291, 0,	//3  const char*, const char*
    291, 291, 297, 0,	//6  const char*, const char*, int
    109, 297, 323, 0,	//10  QMetaObject::Call, int, void**
    110, 0,	//14  QObject*
    232, 0,	//16  bool
    281, 288, 288, 288, 288, 288, 288, 288, 288, 0,	//18  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 281, 288, 288, 288, 288, 288, 288, 288, 288, 0,	//28  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 281, 259, 0,	//39  QDBus::CallMode, const QString&, const QList<QVariant>&
    281, 259, 110, 291, 291, 0,	//43  const QString&, const QList<QVariant>&, QObject*, const char*, const char*
    281, 259, 110, 291, 0,	//49  const QString&, const QList<QVariant>&, QObject*, const char*
    281, 259, 0,	//54  const QString&, const QList<QVariant>&
    281, 281, 291, 242, 110, 0,	//57  const QString&, const QString&, const char*, const QDBusConnection&, QObject*
    291, 288, 0,	//63  const char*, const QVariant&
    281, 0,	//66  const QString&
    281, 288, 0,	//68  const QString&, const QVariant&
    281, 288, 288, 0,	//71  const QString&, const QVariant&, const QVariant&
    281, 288, 288, 288, 0,	//75  const QString&, const QVariant&, const QVariant&, const QVariant&
    281, 288, 288, 288, 288, 0,	//80  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    281, 288, 288, 288, 288, 288, 0,	//86  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    281, 288, 288, 288, 288, 288, 288, 0,	//93  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    281, 288, 288, 288, 288, 288, 288, 288, 0,	//101  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 281, 0,	//110  QDBus::CallMode, const QString&
    10, 281, 288, 0,	//113  QDBus::CallMode, const QString&, const QVariant&
    10, 281, 288, 288, 0,	//117  QDBus::CallMode, const QString&, const QVariant&, const QVariant&
    10, 281, 288, 288, 288, 0,	//122  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&
    10, 281, 288, 288, 288, 288, 0,	//128  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 281, 288, 288, 288, 288, 288, 0,	//135  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 281, 288, 288, 288, 288, 288, 288, 0,	//143  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 281, 288, 288, 288, 288, 288, 288, 288, 0,	//152  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    241, 0,	//162  const QDBusArgument&
    307, 0,	//164  unsigned char
    303, 0,	//166  short
    315, 0,	//168  unsigned short
    297, 0,	//170  int
    310, 0,	//172  unsigned int
    301, 0,	//174  long long
    313, 0,	//176  unsigned long long
    294, 0,	//178  double
    250, 0,	//180  const QDBusVariant&
    247, 0,	//182  const QDBusObjectPath&
    249, 0,	//184  const QDBusSignature&
    282, 0,	//186  const QStringList&
    239, 0,	//188  const QByteArray&
    297, 297, 0,	//190  int, int
    288, 0,	//193  const QVariant&
    308, 0,	//195  unsigned char&
    233, 0,	//197  bool&
    304, 0,	//199  short&
    316, 0,	//201  unsigned short&
    298, 0,	//203  int&
    311, 0,	//205  unsigned int&
    302, 0,	//207  long long&
    314, 0,	//209  unsigned long long&
    295, 0,	//211  double&
    120, 0,	//213  QString&
    56, 0,	//215  QDBusVariant&
    39, 0,	//217  QDBusObjectPath&
    55, 0,	//219  QDBusSignature&
    124, 0,	//221  QStringList&
    6, 0,	//223  QByteArray&
    242, 0,	//225  const QDBusConnection&
    245, 0,	//227  const QDBusMessage&
    245, 110, 291, 291, 297, 0,	//229  const QDBusMessage&, QObject*, const char*, const char*, int
    245, 110, 291, 297, 0,	//235  const QDBusMessage&, QObject*, const char*, int
    245, 10, 297, 0,	//240  const QDBusMessage&, QDBus::CallMode, int
    245, 297, 0,	//244  const QDBusMessage&, int
    281, 281, 281, 281, 110, 291, 0,	//247  const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    281, 281, 281, 281, 281, 110, 291, 0,	//254  const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    281, 281, 281, 281, 282, 281, 110, 291, 0,	//262  const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*
    281, 110, 21, 0,	//271  const QString&, QObject*, QDBusConnection::RegisterOptions
    281, 23, 0,	//275  const QString&, QDBusConnection::UnregisterMode
    19, 281, 0,	//278  QDBusConnection::BusType, const QString&
    281, 281, 0,	//281  const QString&, const QString&
    245, 110, 291, 291, 0,	//284  const QDBusMessage&, QObject*, const char*, const char*
    245, 110, 291, 0,	//289  const QDBusMessage&, QObject*, const char*
    245, 10, 0,	//293  const QDBusMessage&, QDBus::CallMode
    281, 110, 0,	//296  const QString&, QObject*
    281, 26, 27, 0,	//299  const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions
    281, 281, 281, 0,	//303  const QString&, const QString&, const QString&
    244, 245, 0,	//307  const QDBusError&, const QDBusMessage&
    281, 26, 0,	//310  const QString&, QDBusConnectionInterface::ServiceQueueOptions
    32, 281, 0,	//313  QDBusError::ErrorType, const QString&
    243, 0,	//316  const QDBusContext&
    32, 0,	//318  QDBusError::ErrorType
    236, 0,	//320  const DBusError*
    244, 0,	//322  const QDBusError&
    281, 281, 281, 242, 110, 0,	//324  const QString&, const QString&, const QString&, const QDBusConnection&, QObject*
    281, 281, 281, 242, 0,	//330  const QString&, const QString&, const QString&, const QDBusConnection&
    281, 281, 281, 281, 0,	//335  const QString&, const QString&, const QString&, const QString&
    259, 0,	//340  const QList<QVariant>&
    280, 281, 0,	//342  const QString, const QString&
    297, 319, 321, 0,	//345  int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*)
    13, 297, 293, 0,	//349  QDBusArgument&, int, const void*
    241, 297, 322, 0,	//353  const QDBusArgument&, int, void*
    246, 0,	//357  const QDBusMetaType&
    248, 0,	//359  const QDBusPendingCall&
    248, 110, 0,	//361  const QDBusPendingCall&, QObject*
    43, 0,	//364  QDBusPendingCallWatcher*
    281, 242, 52, 110, 0,	//366  const QString&, const QDBusConnection&, QDBusServiceWatcher::WatchMode, QObject*
    52, 0,	//371  QDBusServiceWatcher::WatchMode
    281, 242, 0,	//373  const QString&, const QDBusConnection&
    281, 242, 52, 0,	//376  const QString&, const QDBusConnection&, QDBusServiceWatcher::WatchMode
    237, 237, 0,	//380  const QBitArray&, const QBitArray&
    267, 0,	//383  const QPersistentModelIndex&
    1, 68, 0,	//385  QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>
    269, 294, 0,	//388  const QPoint&, double
    294, 271, 0,	//391  double, const QPointF&
    262, 262, 0,	//394  const QMargins&, const QMargins&
    294, 279, 0,	//397  double, const QSizeF&
    60, 267, 0,	//400  QDebug, const QPersistentModelIndex&
    235, 291, 0,	//403  char*, const char*
    214, 214, 0,	//406  Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type
    272, 272, 0,	//409  const QRect&, const QRect&
    277, 277, 0,	//412  const QSize&, const QSize&
    60, 269, 0,	//415  QDebug, const QPoint&
    13, 273, 0,	//418  QDBusArgument&, const QRectF&
    164, 85, 0,	//421  Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>
    122, 297, 0,	//424  QString::SectionFlags::enum_type, int
    134, 297, 0,	//427  QUrl::FormattingOptions::enum_type, int
    57, 257, 0,	//430  QDataStream&, const QLine&
    279, 294, 0,	//433  const QSizeF&, double
    291, 256, 0,	//436  const char*, const QLatin1String&
    279, 279, 0,	//439  const QSizeF&, const QSizeF&
    239, 239, 0,	//442  const QByteArray&, const QByteArray&
    256, 284, 0,	//445  const QLatin1String&, const QStringRef&
    60, 289, 0,	//448  QDebug, const QVariant::Type
    288, 290, 0,	//451  const QVariant&, const QVariantComparisonHelper&
    4, 4, 0,	//454  QBool, QBool
    284, 0,	//457  const QStringRef&
    121, 121, 0,	//459  QString::Null, QString::Null
    241, 137, 0,	//462  const QDBusArgument&, QVariant&
    57, 273, 0,	//465  QDataStream&, const QRectF&
    57, 107, 0,	//468  QDataStream&, QLocale&
    7, 281, 0,	//471  QChar, const QString&
    102, 77, 0,	//474  QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>
    60, 285, 0,	//477  QDebug, const QTime&
    57, 239, 0,	//480  QDataStream&, const QByteArray&
    60, 251, 0,	//483  QDebug, const QDate&
    249, 249, 0,	//486  const QDBusSignature&, const QDBusSignature&
    53, 297, 0,	//489  QDBusServiceWatcher::WatchMode::enum_type, int
    237, 0,	//492  const QBitArray&
    292, 309, 297, 0,	//494  const unsigned char*, unsigned char*, int
    221, 297, 0,	//498  Qt::WindowFlags::enum_type, int
    13, 257, 0,	//501  QDBusArgument&, const QLine&
    60, 99, 0,	//504  QDebug, QIODevice::OpenMode
    288, 138, 322, 0,	//507  const QVariant&, QVariant::Type, void*
    175, 175, 0,	//511  Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type
    111, 0,	//514  QObject*(*)()
    299, 0,	//516  long
    57, 282, 0,	//518  QDataStream&, const QStringList&
    53, 70, 0,	//521  QDBusServiceWatcher::WatchMode::enum_type, QFlags<QDBusServiceWatcher::WatchMode::enum_type>
    296, 0,	//524  float
    186, 186, 0,	//526  Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type
    57, 274, 0,	//529  QDataStream&, const QRegExp&
    239, 291, 0,	//532  const QByteArray&, const char*
    60, 279, 0,	//535  QDebug, const QSizeF&
    67, 75, 0,	//538  QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>
    102, 297, 0,	//541  QLibrary::LoadHints::enum_type, int
    217, 217, 0,	//544  Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type
    63, 72, 0,	//547  QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>
    62, 297, 0,	//550  QDir::Filters::enum_type, int
    126, 126, 0,	//553  QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type
    57, 113, 0,	//556  QDataStream&, QPointF&
    281, 291, 0,	//559  const QString&, const char*
    241, 118, 0,	//562  const QDBusArgument&, QSizeF&
    60, 254, 0,	//565  QDebug, const QEasingCurve&
    190, 190, 0,	//568  Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type
    57, 58, 0,	//571  QDataStream&, QDate&
    196, 196, 0,	//574  Qt::Orientations::enum_type, Qt::Orientations::enum_type
    234, 239, 0,	//577  char, const QByteArray&
    175, 87, 0,	//580  Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>
    291, 281, 0,	//583  const char*, const QString&
    291, 239, 0,	//586  const char*, const QByteArray&
    241, 59, 0,	//589  const QDBusArgument&, QDateTime&
    57, 135, 0,	//592  QDataStream&, QUuid&
    294, 294, 0,	//595  double, double
    170, 297, 0,	//598  Qt::GestureFlags::enum_type, int
    57, 6, 0,	//601  QDataStream&, QByteArray&
    57, 137, 0,	//604  QDataStream&, QVariant&
    57, 116, 0,	//607  QDataStream&, QRegExp&
    271, 271, 0,	//610  const QPointF&, const QPointF&
    209, 297, 0,	//613  Qt::TextInteractionFlags::enum_type, int
    247, 247, 0,	//616  const QDBusObjectPath&, const QDBusObjectPath&
    182, 182, 0,	//619  Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type
    284, 284, 0,	//622  const QStringRef&, const QStringRef&
    190, 91, 0,	//625  Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>
    60, 258, 0,	//628  QDebug, const QLineF&
    7, 7, 0,	//631  QChar, QChar
    291, 291, 310, 0,	//634  const char*, const char*, unsigned int
    129, 297, 0,	//638  QTextStream::NumberFlags::enum_type, int
    134, 82, 0,	//641  QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>
    291, 297, 0,	//644  const char*, int
    22, 22, 0,	//647  QDBusConnection::RegisterOptions::enum_type, QDBusConnection::RegisterOptions::enum_type
    196, 297, 0,	//650  Qt::Orientations::enum_type, int
    57, 3, 0,	//653  QDataStream&, QBitArray&
    271, 294, 0,	//656  const QPointF&, double
    7, 0,	//659  QChar
    108, 297, 0,	//661  QLocale::NumberOptions::enum_type, int
    241, 113, 0,	//664  const QDBusArgument&, QPointF&
    178, 297, 0,	//667  Qt::InputMethodHints::enum_type, int
    320, 0,	//670  void(*)(QtMsgType,const char*)
    57, 251, 0,	//672  QDataStream&, const QDate&
    250, 250, 0,	//675  const QDBusVariant&, const QDBusVariant&
    266, 281, 263, 0,	//678  const QObject*, const QString&, const QMetaObject&
    13, 251, 0,	//682  QDBusArgument&, const QDate&
    209, 209, 0,	//685  Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type
    193, 193, 0,	//688  Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type
    322, 0,	//691  void*
    281, 121, 0,	//693  const QString&, QString::Null
    57, 118, 0,	//696  QDataStream&, QSizeF&
    284, 291, 0,	//699  const QStringRef&, const char*
    126, 297, 0,	//702  QTextCodec::ConversionFlags::enum_type, int
    271, 0,	//705  const QPointF&
    322, 306, 306, 306, 0,	//707  void*, size_t, size_t, size_t
    239, 281, 0,	//712  const QByteArray&, const QString&
    60, 277, 0,	//715  QDebug, const QSize&
    281, 234, 0,	//718  const QString&, char
    100, 100, 0,	//721  QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type
    1, 1, 0,	//724  QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type
    57, 286, 0,	//727  QDataStream&, const QUrl&
    190, 297, 0,	//730  Qt::MatchFlags::enum_type, int
    322, 297, 306, 0,	//733  void*, int, size_t
    126, 80, 0,	//737  QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>
    217, 297, 0,	//740  Qt::TouchPointStates::enum_type, int
    241, 104, 0,	//743  const QDBusArgument&, QLineF&
    57, 288, 0,	//746  QDataStream&, const QVariant&
    57, 103, 0,	//749  QDataStream&, QLine&
    62, 62, 0,	//752  QDir::Filters::enum_type, QDir::Filters::enum_type
    239, 297, 0,	//755  const QByteArray&, int
    245, 30, 137, 0,	//758  const QDBusMessage&, QDBusError&, QVariant&
    318, 0,	//762  void(*)()
    66, 66, 0,	//764  QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type
    241, 131, 0,	//767  const QDBusArgument&, QTime&
    13, 271, 0,	//770  QDBusArgument&, const QPointF&
    269, 269, 0,	//773  const QPoint&, const QPoint&
    284, 281, 0,	//776  const QStringRef&, const QString&
    60, 245, 0,	//779  QDebug, const QDBusMessage&
    256, 256, 0,	//782  const QLatin1String&, const QLatin1String&
    64, 297, 0,	//785  QDirIterator::IteratorFlags::enum_type, int
    255, 255, 0,	//788  const QHashDummyValue&, const QHashDummyValue&
    291, 310, 0,	//791  const char*, unsigned int
    60, 262, 0,	//794  QDebug, const QMargins&
    127, 128, 0,	//797  QTextStream&, QTextStream&(*)(QTextStream&)
    64, 64, 0,	//800  QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type
    63, 63, 0,	//803  QDir::SortFlags::enum_type, QDir::SortFlags::enum_type
    175, 297, 0,	//806  Qt::ImageConversionFlags::enum_type, int
    67, 67, 0,	//809  QFile::Permissions::enum_type, QFile::Permissions::enum_type
    57, 258, 0,	//812  QDataStream&, const QLineF&
    100, 76, 0,	//815  QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>
    235, 291, 310, 0,	//818  char*, const char*, unsigned int
    140, 297, 0,	//822  Qt::Alignment::enum_type, int
    164, 164, 0,	//825  Qt::DropActions::enum_type, Qt::DropActions::enum_type
    122, 79, 0,	//828  QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>
    57, 271, 0,	//831  QDataStream&, const QPointF&
    108, 78, 0,	//834  QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>
    221, 221, 0,	//837  Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type
    322, 306, 0,	//840  void*, size_t
    291, 291, 291, 297, 0,	//843  const char*, const char*, const char*, int
    281, 284, 0,	//848  const QString&, const QStringRef&
    209, 94, 0,	//851  Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>
    221, 97, 0,	//854  Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>
    100, 297, 0,	//857  QIODevice::OpenMode::enum_type, int
    66, 74, 0,	//860  QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>
    214, 95, 0,	//863  Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>
    164, 297, 0,	//866  Qt::DropActions::enum_type, int
    291, 284, 0,	//869  const char*, const QStringRef&
    57, 117, 0,	//872  QDataStream&, QSize&
    13, 277, 0,	//875  QDBusArgument&, const QSize&
    57, 139, 0,	//878  QDataStream&, QVariant::Type&
    284, 256, 0,	//881  const QStringRef&, const QLatin1String&
    305, 0,	//884  signed char
    170, 170, 0,	//886  Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type
    57, 279, 0,	//889  QDataStream&, const QSizeF&
    178, 88, 0,	//892  Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>
    241, 114, 0,	//895  const QDBusArgument&, QRect&
    162, 162, 0,	//898  Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type
    234, 281, 0,	//901  char, const QString&
    162, 297, 0,	//904  Qt::DockWidgetAreas::enum_type, int
    60, 286, 0,	//907  QDebug, const QUrl&
    102, 102, 0,	//910  QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type
    273, 273, 0,	//913  const QRectF&, const QRectF&
    294, 277, 0,	//916  double, const QSize&
    265, 0,	//919  const QModelIndex&
    60, 257, 0,	//921  QDebug, const QLine&
    13, 272, 0,	//924  QDBusArgument&, const QRect&
    57, 237, 0,	//927  QDataStream&, const QBitArray&
    322, 293, 306, 0,	//930  void*, const void*, size_t
    294, 269, 0,	//934  double, const QPoint&
    60, 265, 0,	//937  QDebug, const QModelIndex&
    60, 252, 0,	//940  QDebug, const QDateTime&
    57, 269, 0,	//943  QDataStream&, const QPoint&
    239, 234, 0,	//946  const QByteArray&, char
    225, 98, 0,	//949  Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>
    60, 266, 0,	//952  QDebug, const QObject*
    225, 225, 0,	//955  Qt::WindowStates::enum_type, Qt::WindowStates::enum_type
    300, 297, 235, 0,	//958  long double, int, char*
    186, 90, 0,	//962  Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>
    296, 296, 0,	//965  float, float
    235, 306, 291, 317, 0,	//968  char*, size_t, const char*, va_list
    57, 277, 0,	//973  QDataStream&, const QSize&
    57, 115, 0,	//976  QDataStream&, QRectF&
    13, 261, 0,	//979  QDBusArgument&, const QMap<QString,QVariant>&
    217, 96, 0,	//982  Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>
    57, 240, 0,	//985  QDataStream&, const QChar&
    232, 4, 0,	//988  bool, QBool
    312, 0,	//991  unsigned long
    60, 273, 0,	//993  QDebug, const QRectF&
    53, 53, 0,	//996  QDBusServiceWatcher::WatchMode::enum_type, QDBusServiceWatcher::WatchMode::enum_type
    4, 232, 0,	//999  QBool, bool
    66, 297, 0,	//1002  QEventLoop::ProcessEventsFlags::enum_type, int
    13, 252, 0,	//1005  QDBusArgument&, const QDateTime&
    57, 124, 0,	//1008  QDataStream&, QStringList&
    241, 115, 0,	//1011  const QDBusArgument&, QRectF&
    57, 272, 0,	//1014  QDataStream&, const QRect&
    67, 297, 0,	//1017  QFile::Permissions::enum_type, int
    186, 297, 0,	//1020  Qt::KeyboardModifiers::enum_type, int
    277, 294, 0,	//1023  const QSize&, double
    121, 281, 0,	//1026  QString::Null, const QString&
    214, 297, 0,	//1029  Qt::ToolBarAreas::enum_type, int
    57, 112, 0,	//1032  QDataStream&, QPoint&
    60, 271, 0,	//1035  QDebug, const QPointF&
    266, 281, 275, 263, 106, 0,	//1038  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    57, 59, 0,	//1044  QDataStream&, QDateTime&
    13, 279, 0,	//1047  QDBusArgument&, const QSizeF&
    13, 259, 0,	//1050  QDBusArgument&, const QList<QVariant>&
    63, 297, 0,	//1053  QDir::SortFlags::enum_type, int
    182, 297, 0,	//1056  Qt::ItemFlags::enum_type, int
    322, 306, 306, 231, 0,	//1059  void*, size_t, size_t, __compar_fn_t
    57, 285, 0,	//1064  QDataStream&, const QTime&
    225, 297, 0,	//1067  Qt::WindowStates::enum_type, int
    13, 258, 0,	//1070  QDBusArgument&, const QLineF&
    64, 73, 0,	//1073  QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>
    57, 287, 0,	//1076  QDataStream&, const QUuid&
    62, 71, 0,	//1079  QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>
    127, 130, 0,	//1082  QTextStream&, QTextStreamManipulator
    241, 112, 0,	//1085  const QDBusArgument&, QPoint&
    60, 244, 0,	//1088  QDebug, const QDBusError&
    22, 69, 0,	//1091  QDBusConnection::RegisterOptions::enum_type, QFlags<QDBusConnection::RegisterOptions::enum_type>
    134, 134, 0,	//1094  QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type
    306, 306, 0,	//1097  size_t, size_t
    292, 297, 297, 0,	//1100  const unsigned char*, int, int
    292, 297, 0,	//1104  const unsigned char*, int
    129, 129, 0,	//1107  QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type
    269, 0,	//1110  const QPoint&
    13, 269, 0,	//1112  QDBusArgument&, const QPoint&
    196, 93, 0,	//1115  Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>
    57, 120, 0,	//1118  QDataStream&, QString&
    57, 281, 0,	//1121  QDataStream&, const QString&
    182, 89, 0,	//1124  Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>
    57, 8, 0,	//1127  QDataStream&, QChar&
    13, 285, 0,	//1130  QDBusArgument&, const QTime&
    60, 61, 0,	//1133  QDebug, QDir::Filters
    22, 297, 0,	//1136  QDBusConnection::RegisterOptions::enum_type, int
    281, 239, 0,	//1139  const QString&, const QByteArray&
    129, 81, 0,	//1142  QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>
    57, 114, 0,	//1145  QDataStream&, QRect&
    229, 291, 0,	//1148  QtMsgType, const char*
    60, 272, 0,	//1151  QDebug, const QRect&
    57, 289, 0,	//1154  QDataStream&, const QVariant::Type
    57, 104, 0,	//1157  QDataStream&, QLineF&
    241, 103, 0,	//1160  const QDBusArgument&, QLine&
    140, 83, 0,	//1163  Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>
    108, 108, 0,	//1166  QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type
    234, 0,	//1169  char
    57, 252, 0,	//1171  QDataStream&, const QDateTime&
    193, 297, 0,	//1174  Qt::MouseButtons::enum_type, int
    57, 131, 0,	//1177  QDataStream&, QTime&
    162, 84, 0,	//1180  Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>
    1, 297, 0,	//1183  QAbstractFileEngine::FileFlags::enum_type, int
    178, 178, 0,	//1186  Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type
    241, 58, 0,	//1189  const QDBusArgument&, QDate&
    60, 253, 0,	//1192  QDebug, const QDir&
    170, 86, 0,	//1195  Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>
    122, 122, 0,	//1198  QString::SectionFlags::enum_type, QString::SectionFlags::enum_type
    57, 133, 0,	//1201  QDataStream&, QUrl&
    281, 7, 0,	//1204  const QString&, QChar
    140, 140, 0,	//1207  Qt::Alignment::enum_type, Qt::Alignment::enum_type
    193, 92, 0,	//1210  Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>
    306, 0,	//1213  size_t
    60, 288, 0,	//1215  QDebug, const QVariant&
    241, 117, 0,	//1218  const QDBusArgument&, QSize&
    57, 260, 0,	//1221  QDataStream&, const QLocale&
    65, 0,	//1224  QEvent*
    110, 65, 0,	//1226  QObject*, QEvent*
    132, 0,	//1229  QTimerEvent*
    9, 0,	//1231  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessDenied",	//1
    "ActivationBus",	//2
    "AddressInUse",	//3
    "AllowReplacement",	//4
    "ArrayType",	//5
    "AutoDetect",	//6
    "BadAddress",	//7
    "BasicType",	//8
    "Block",	//9
    "BlockWithGui",	//10
    "Disconnected",	//11
    "DontAllowReplacement",	//12
    "DontQueueService",	//13
    "ErrorMessage",	//14
    "ExportAdaptors",	//15
    "ExportAllContents",	//16
    "ExportAllProperties",	//17
    "ExportAllSignal",	//18
    "ExportAllSignals",	//19
    "ExportAllSlots",	//20
    "ExportChildObjects",	//21
    "ExportNonScriptableContents",	//22
    "ExportNonScriptableProperties",	//23
    "ExportNonScriptableSignals",	//24
    "ExportNonScriptableSlots",	//25
    "ExportScriptableContents",	//26
    "ExportScriptableProperties",	//27
    "ExportScriptableSignals",	//28
    "ExportScriptableSlots",	//29
    "Failed",	//30
    "InternalError",	//31
    "InvalidArgs",	//32
    "InvalidInterface",	//33
    "InvalidMember",	//34
    "InvalidMessage",	//35
    "InvalidObjectPath",	//36
    "InvalidService",	//37
    "InvalidSignature",	//38
    "LastErrorType",	//39
    "LimitsExceeded",	//40
    "MapEntryType",	//41
    "MapType",	//42
    "MethodCallMessage",	//43
    "NameAcquired",	//44
    "NameAcquired$",	//45
    "NameLost",	//46
    "NameLost$",	//47
    "NameOwnerChanged",	//48
    "NameOwnerChanged$$$",	//49
    "NoBlock",	//50
    "NoError",	//51
    "NoMemory",	//52
    "NoNetwork",	//53
    "NoReply",	//54
    "NoServer",	//55
    "NotSupported",	//56
    "Other",	//57
    "QDBusAbstractAdaptor",	//58
    "QDBusAbstractAdaptor#",	//59
    "QDBusAbstractInterface",	//60
    "QDBusAbstractInterface$$$##",	//61
    "QDBusArgument",	//62
    "QDBusArgument#",	//63
    "QDBusConnection",	//64
    "QDBusConnection#",	//65
    "QDBusConnection$",	//66
    "QDBusContext",	//67
    "QDBusContext#",	//68
    "QDBusError",	//69
    "QDBusError#",	//70
    "QDBusError$$",	//71
    "QDBusInterface",	//72
    "QDBusInterface$$",	//73
    "QDBusInterface$$$",	//74
    "QDBusInterface$$$#",	//75
    "QDBusInterface$$$##",	//76
    "QDBusMessage",	//77
    "QDBusMessage#",	//78
    "QDBusMetaType",	//79
    "QDBusMetaType#",	//80
    "QDBusPendingCall",	//81
    "QDBusPendingCall#",	//82
    "QDBusPendingCallWatcher",	//83
    "QDBusPendingCallWatcher#",	//84
    "QDBusPendingCallWatcher##",	//85
    "QDBusServer",	//86
    "QDBusServer$",	//87
    "QDBusServer$#",	//88
    "QDBusServiceWatcher",	//89
    "QDBusServiceWatcher#",	//90
    "QDBusServiceWatcher$#",	//91
    "QDBusServiceWatcher$#$",	//92
    "QDBusServiceWatcher$#$#",	//93
    "QtCriticalMsg",	//94
    "QtDebugMsg",	//95
    "QtFatalMsg",	//96
    "QtSystemMsg",	//97
    "QtWarningMsg",	//98
    "QueueService",	//99
    "ReplaceExistingService",	//100
    "ReplyMessage",	//101
    "ServiceNotRegistered",	//102
    "ServiceQueued",	//103
    "ServiceRegistered",	//104
    "ServiceUnknown",	//105
    "SessionBus",	//106
    "SignalMessage",	//107
    "StructureType",	//108
    "SystemBus",	//109
    "TimedOut",	//110
    "Timeout",	//111
    "UnknownInterface",	//112
    "UnknownMethod",	//113
    "UnknownObject",	//114
    "UnknownType",	//115
    "UnregisterNode",	//116
    "UnregisterTree",	//117
    "VariantType",	//118
    "WatchForOwnerChange",	//119
    "WatchForRegistration",	//120
    "WatchForUnregistration",	//121
    "_IEEE_",	//122
    "_ISOC_",	//123
    "_POSIX_",	//124
    "_SVID_",	//125
    "_XOPEN_",	//126
    "__codecvt_error",	//127
    "__codecvt_noconv",	//128
    "__codecvt_ok",	//129
    "__codecvt_partial",	//130
    "addWatchedService",	//131
    "addWatchedService$",	//132
    "address",	//133
    "appendVariant",	//134
    "appendVariant#",	//135
    "arguments",	//136
    "asVariant",	//137
    "asyncCall",	//138
    "asyncCall#",	//139
    "asyncCall#$",	//140
    "asyncCall$",	//141
    "asyncCall$#",	//142
    "asyncCall$##",	//143
    "asyncCall$###",	//144
    "asyncCall$####",	//145
    "asyncCall$#####",	//146
    "asyncCall$######",	//147
    "asyncCall$#######",	//148
    "asyncCall$########",	//149
    "asyncCallWithArgumentList",	//150
    "asyncCallWithArgumentList$?",	//151
    "atEnd",	//152
    "autoRelaySignals",	//153
    "baseService",	//154
    "beginArray",	//155
    "beginArray$",	//156
    "beginMap",	//157
    "beginMap$$",	//158
    "beginMapEntry",	//159
    "beginStructure",	//160
    "call",	//161
    "call#",	//162
    "call#$",	//163
    "call#$$",	//164
    "call$",	//165
    "call$#",	//166
    "call$##",	//167
    "call$###",	//168
    "call$####",	//169
    "call$#####",	//170
    "call$######",	//171
    "call$#######",	//172
    "call$########",	//173
    "call$$",	//174
    "call$$#",	//175
    "call$$##",	//176
    "call$$###",	//177
    "call$$####",	//178
    "call$$#####",	//179
    "call$$######",	//180
    "call$$#######",	//181
    "call$$########",	//182
    "callWithArgumentList",	//183
    "callWithArgumentList$$?",	//184
    "callWithCallback",	//185
    "callWithCallback##$",	//186
    "callWithCallback##$$",	//187
    "callWithCallback##$$$",	//188
    "callWithCallback$?#$",	//189
    "callWithCallback$?#$$",	//190
    "callWithCallbackFailed",	//191
    "callWithCallbackFailed##",	//192
    "calledFromDBus",	//193
    "childEvent",	//194
    "connect",	//195
    "connect$$$$#$",	//196
    "connect$$$$$#$",	//197
    "connect$$$$?$#$",	//198
    "connectNotify",	//199
    "connectNotify$",	//200
    "connectToBus",	//201
    "connectToBus$$",	//202
    "connection",	//203
    "createError",	//204
    "createError#",	//205
    "createError$$",	//206
    "createErrorReply",	//207
    "createErrorReply#",	//208
    "createErrorReply$$",	//209
    "createMethodCall",	//210
    "createMethodCall$$$$",	//211
    "createReply",	//212
    "createReply#",	//213
    "createReply?",	//214
    "createSignal",	//215
    "createSignal$$$",	//216
    "currentSignature",	//217
    "currentType",	//218
    "customEvent",	//219
    "demarshall",	//220
    "demarshall#$$",	//221
    "disconnect",	//222
    "disconnect$$$$#$",	//223
    "disconnect$$$$$#$",	//224
    "disconnect$$$$?$#$",	//225
    "disconnectFromBus",	//226
    "disconnectFromBus$",	//227
    "disconnectNotify",	//228
    "disconnectNotify$",	//229
    "endArray",	//230
    "endMap",	//231
    "endMapEntry",	//232
    "endStructure",	//233
    "error",	//234
    "errorMessage",	//235
    "errorName",	//236
    "errorString",	//237
    "errorString$",	//238
    "event",	//239
    "eventFilter",	//240
    "finished",	//241
    "finished#",	//242
    "fromCompletedCall",	//243
    "fromCompletedCall#",	//244
    "fromError",	//245
    "fromError#",	//246
    "interface",	//247
    "internalConstCall",	//248
    "internalConstCall$$",	//249
    "internalConstCall$$?",	//250
    "internalPropGet",	//251
    "internalPropGet$",	//252
    "internalPropSet",	//253
    "internalPropSet$#",	//254
    "isConnected",	//255
    "isDelayedReply",	//256
    "isError",	//257
    "isFinished",	//258
    "isReplyRequired",	//259
    "isServiceRegistered",	//260
    "isServiceRegistered$",	//261
    "isValid",	//262
    "lastError",	//263
    "marshall",	//264
    "marshall#$$",	//265
    "member",	//266
    "message",	//267
    "metaObject",	//268
    "name",	//269
    "newConnection",	//270
    "newConnection#",	//271
    "objectRegisteredAt",	//272
    "objectRegisteredAt$",	//273
    "operator!=",	//274
    "operator!=##",	//275
    "operator!=#$",	//276
    "operator!=$#",	//277
    "operator!=$$",	//278
    "operator&",	//279
    "operator&##",	//280
    "operator*",	//281
    "operator*#$",	//282
    "operator*$#",	//283
    "operator+",	//284
    "operator+##",	//285
    "operator+#$",	//286
    "operator+$#",	//287
    "operator+$$",	//288
    "operator-",	//289
    "operator-#",	//290
    "operator-##",	//291
    "operator/",	//292
    "operator/#$",	//293
    "operator<",	//294
    "operator<##",	//295
    "operator<#$",	//296
    "operator<$#",	//297
    "operator<$$",	//298
    "operator<<",	//299
    "operator<<#",	//300
    "operator<<##",	//301
    "operator<<#$",	//302
    "operator<<#?",	//303
    "operator<<$",	//304
    "operator<<?",	//305
    "operator<=",	//306
    "operator<=##",	//307
    "operator<=#$",	//308
    "operator<=$#",	//309
    "operator<=$$",	//310
    "operator=",	//311
    "operator=#",	//312
    "operator==",	//313
    "operator==##",	//314
    "operator==#$",	//315
    "operator==$#",	//316
    "operator==$$",	//317
    "operator>",	//318
    "operator>##",	//319
    "operator>#$",	//320
    "operator>$#",	//321
    "operator>$$",	//322
    "operator>=",	//323
    "operator>=##",	//324
    "operator>=#$",	//325
    "operator>=$#",	//326
    "operator>=$$",	//327
    "operator>>",	//328
    "operator>>#",	//329
    "operator>>##",	//330
    "operator>>#$",	//331
    "operator>>#?",	//332
    "operator>>$",	//333
    "operator>>?",	//334
    "operator^",	//335
    "operator^##",	//336
    "operator|",	//337
    "operator|##",	//338
    "operator|?$",	//339
    "operator|??",	//340
    "path",	//341
    "qAcos",	//342
    "qAcos$",	//343
    "qAddPostRoutine",	//344
    "qAddPostRoutine$",	//345
    "qAppName",	//346
    "qAsin",	//347
    "qAsin$",	//348
    "qAtan",	//349
    "qAtan$",	//350
    "qAtan2",	//351
    "qAtan2$$",	//352
    "qCeil",	//353
    "qCeil$",	//354
    "qChecksum",	//355
    "qChecksum$$",	//356
    "qCompress",	//357
    "qCompress#",	//358
    "qCompress#$",	//359
    "qCompress$$",	//360
    "qCompress$$$",	//361
    "qCos",	//362
    "qCos$",	//363
    "qCritical",	//364
    "qDBusReplyFill",	//365
    "qDBusReplyFill###",	//366
    "qDebug",	//367
    "qExp",	//368
    "qExp$",	//369
    "qFabs",	//370
    "qFabs$",	//371
    "qFastCos",	//372
    "qFastCos$",	//373
    "qFastSin",	//374
    "qFastSin$",	//375
    "qFlagLocation",	//376
    "qFlagLocation$",	//377
    "qFloor",	//378
    "qFloor$",	//379
    "qFree",	//380
    "qFree$",	//381
    "qFreeAligned",	//382
    "qFreeAligned$",	//383
    "qFuzzyCompare",	//384
    "qFuzzyCompare$$",	//385
    "qFuzzyIsNull",	//386
    "qFuzzyIsNull$",	//387
    "qHash",	//388
    "qHash#",	//389
    "qHash$",	//390
    "qInf",	//391
    "qInstallMsgHandler",	//392
    "qInstallMsgHandler$",	//393
    "qIntCast",	//394
    "qIntCast$",	//395
    "qIsFinite",	//396
    "qIsFinite$",	//397
    "qIsInf",	//398
    "qIsInf$",	//399
    "qIsNaN",	//400
    "qIsNaN$",	//401
    "qIsNull",	//402
    "qIsNull$",	//403
    "qLn",	//404
    "qLn$",	//405
    "qMalloc",	//406
    "qMalloc?",	//407
    "qMallocAligned",	//408
    "qMallocAligned??",	//409
    "qMemCopy",	//410
    "qMemCopy$$?",	//411
    "qMemSet",	//412
    "qMemSet$$?",	//413
    "qPow",	//414
    "qPow$$",	//415
    "qQNaN",	//416
    "qRealloc",	//417
    "qRealloc$?",	//418
    "qReallocAligned",	//419
    "qReallocAligned$???",	//420
    "qRegisterStaticPluginInstanceFunction",	//421
    "qRegisterStaticPluginInstanceFunction#",	//422
    "qRemovePostRoutine",	//423
    "qRemovePostRoutine$",	//424
    "qRound",	//425
    "qRound$",	//426
    "qRound64",	//427
    "qRound64$",	//428
    "qSNaN",	//429
    "qSetFieldWidth",	//430
    "qSetFieldWidth$",	//431
    "qSetPadChar",	//432
    "qSetPadChar#",	//433
    "qSetRealNumberPrecision",	//434
    "qSetRealNumberPrecision$",	//435
    "qSharedBuild",	//436
    "qSin",	//437
    "qSin$",	//438
    "qSqrt",	//439
    "qSqrt$",	//440
    "qStringComparisonHelper",	//441
    "qStringComparisonHelper#$",	//442
    "qStringComparisonHelper$$",	//443
    "qTan",	//444
    "qTan$",	//445
    "qUncompress",	//446
    "qUncompress#",	//447
    "qUncompress$$",	//448
    "qVersion",	//449
    "qWarning",	//450
    "qbswap_helper",	//451
    "qbswap_helper$$$",	//452
    "qgcvt",	//453
    "qgcvt$$$",	//454
    "qgetenv",	//455
    "qgetenv$",	//456
    "qputenv",	//457
    "qputenv$#",	//458
    "qrand",	//459
    "qsort",	//460
    "qsort$???",	//461
    "qsrand",	//462
    "qsrand$",	//463
    "qstrcmp",	//464
    "qstrcmp##",	//465
    "qstrcmp#$",	//466
    "qstrcmp$#",	//467
    "qstrcmp$$",	//468
    "qstrcpy",	//469
    "qstrcpy$$",	//470
    "qstrdup",	//471
    "qstrdup$",	//472
    "qstricmp",	//473
    "qstricmp$$",	//474
    "qstrlen",	//475
    "qstrlen$",	//476
    "qstrncmp",	//477
    "qstrncmp$$$",	//478
    "qstrncpy",	//479
    "qstrncpy$$$",	//480
    "qstrnicmp",	//481
    "qstrnicmp$$$",	//482
    "qstrnlen",	//483
    "qstrnlen$$",	//484
    "qtTrId",	//485
    "qtTrId$",	//486
    "qtTrId$$",	//487
    "qt_assert",	//488
    "qt_assert$$$",	//489
    "qt_assert_x",	//490
    "qt_assert_x$$$$",	//491
    "qt_check_pointer",	//492
    "qt_check_pointer$$",	//493
    "qt_error_string",	//494
    "qt_error_string$",	//495
    "qt_message_output",	//496
    "qt_message_output$$",	//497
    "qt_metacall",	//498
    "qt_metacall$$?",	//499
    "qt_metacast",	//500
    "qt_metacast$",	//501
    "qt_noop",	//502
    "qt_qFindChild_helper",	//503
    "qt_qFindChild_helper#$#",	//504
    "qt_qFindChildren_helper",	//505
    "qt_qFindChildren_helper#$##?",	//506
    "qvariant_cast_helper",	//507
    "qvariant_cast_helper#$$",	//508
    "qvsnprintf",	//509
    "qvsnprintf$?$?",	//510
    "registerMarshallOperators",	//511
    "registerMarshallOperators$$$",	//512
    "registerObject",	//513
    "registerObject$#",	//514
    "registerObject$#$",	//515
    "registerService",	//516
    "registerService$",	//517
    "registerService$$",	//518
    "registerService$$$",	//519
    "registeredServiceNames",	//520
    "removeWatchedService",	//521
    "removeWatchedService$",	//522
    "reply",	//523
    "send",	//524
    "send#",	//525
    "sendErrorReply",	//526
    "sendErrorReply$",	//527
    "sendErrorReply$$",	//528
    "sender",	//529
    "service",	//530
    "serviceOwner",	//531
    "serviceOwner$",	//532
    "serviceOwnerChanged",	//533
    "serviceOwnerChanged$$$",	//534
    "servicePid",	//535
    "servicePid$",	//536
    "serviceRegistered",	//537
    "serviceRegistered$",	//538
    "serviceUid",	//539
    "serviceUid$",	//540
    "serviceUnregistered",	//541
    "serviceUnregistered$",	//542
    "sessionBus",	//543
    "setArguments",	//544
    "setArguments?",	//545
    "setAutoRelaySignals",	//546
    "setAutoRelaySignals$",	//547
    "setConnection",	//548
    "setConnection#",	//549
    "setDelayedReply",	//550
    "setDelayedReply$",	//551
    "setWatchMode",	//552
    "setWatchMode$",	//553
    "setWatchedServices",	//554
    "setWatchedServices?",	//555
    "signature",	//556
    "signatureToType",	//557
    "signatureToType$",	//558
    "startService",	//559
    "startService$",	//560
    "staticMetaObject",	//561
    "systemBus",	//562
    "timerEvent",	//563
    "tr",	//564
    "tr$",	//565
    "tr$$",	//566
    "tr$$$",	//567
    "trUtf8",	//568
    "trUtf8$",	//569
    "trUtf8$$",	//570
    "trUtf8$$$",	//571
    "type",	//572
    "typeToSignature",	//573
    "typeToSignature$",	//574
    "unregisterObject",	//575
    "unregisterObject$",	//576
    "unregisterObject$$",	//577
    "unregisterService",	//578
    "unregisterService$",	//579
    "waitForFinished",	//580
    "watchMode",	//581
    "watchedServices",	//582
    "~QDBusAbstractAdaptor",	//583
    "~QDBusAbstractInterface",	//584
    "~QDBusAbstractInterfaceBase",	//585
    "~QDBusArgument",	//586
    "~QDBusConnection",	//587
    "~QDBusContext",	//588
    "~QDBusError",	//589
    "~QDBusInterface",	//590
    "~QDBusMessage",	//591
    "~QDBusMetaType",	//592
    "~QDBusPendingCall",	//593
    "~QDBusPendingCallWatcher",	//594
    "~QDBusServer",	//595
    "~QDBusServiceWatcher",	//596
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 1},	//1 QDBus::NoBlock (enum)
    {7, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 2},	//2 QDBus::Block (enum)
    {7, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 3},	//3 QDBus::BlockWithGui (enum)
    {7, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 4},	//4 QDBus::AutoDetect (enum)
    {8, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 1},	//5 QDBusAbstractAdaptor::metaObject() const
    {8, 500, 1, 1, Smoke::mf_virtual, 322, 2},	//6 QDBusAbstractAdaptor::qt_metacast(const char*)
    {8, 564, 3, 2, Smoke::mf_static, 119, 3},	//7 QDBusAbstractAdaptor::tr(const char*, const char*)
    {8, 568, 3, 2, Smoke::mf_static, 119, 4},	//8 QDBusAbstractAdaptor::trUtf8(const char*, const char*)
    {8, 564, 6, 3, Smoke::mf_static, 119, 5},	//9 QDBusAbstractAdaptor::tr(const char*, const char*, int)
    {8, 568, 6, 3, Smoke::mf_static, 119, 6},	//10 QDBusAbstractAdaptor::trUtf8(const char*, const char*, int)
    {8, 498, 10, 3, Smoke::mf_virtual, 297, 7},	//11 QDBusAbstractAdaptor::qt_metacall(QMetaObject::Call, int, void**)
    {8, 58, 14, 1, Smoke::mf_ctor|Smoke::mf_protected, 11, 8},	//12 QDBusAbstractAdaptor::QDBusAbstractAdaptor(QObject*)
    {8, 546, 16, 1, Smoke::mf_protected, 0, 9},	//13 QDBusAbstractAdaptor::setAutoRelaySignals(bool)
    {8, 153, 0, 0, Smoke::mf_const|Smoke::mf_protected, 232, 10},	//14 QDBusAbstractAdaptor::autoRelaySignals() const
    {8, 564, 1, 1, Smoke::mf_static, 119, 11},	//15 QDBusAbstractAdaptor::tr(const char*)
    {8, 568, 1, 1, Smoke::mf_static, 119, 12},	//16 QDBusAbstractAdaptor::trUtf8(const char*)
    {8, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 263, 13},	//17 QDBusAbstractAdaptor::staticMetaObject() const
    {8, 583, 0, 0, Smoke::mf_dtor, 0, 14 },	//18 QDBusAbstractAdaptor::~QDBusAbstractAdaptor()
    {9, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 1},	//19 QDBusAbstractInterface::metaObject() const
    {9, 500, 1, 1, Smoke::mf_virtual, 322, 2},	//20 QDBusAbstractInterface::qt_metacast(const char*)
    {9, 564, 3, 2, Smoke::mf_static, 119, 3},	//21 QDBusAbstractInterface::tr(const char*, const char*)
    {9, 568, 3, 2, Smoke::mf_static, 119, 4},	//22 QDBusAbstractInterface::trUtf8(const char*, const char*)
    {9, 564, 6, 3, Smoke::mf_static, 119, 5},	//23 QDBusAbstractInterface::tr(const char*, const char*, int)
    {9, 568, 6, 3, Smoke::mf_static, 119, 6},	//24 QDBusAbstractInterface::trUtf8(const char*, const char*, int)
    {9, 498, 10, 3, Smoke::mf_virtual, 297, 7},	//25 QDBusAbstractInterface::qt_metacall(QMetaObject::Call, int, void**)
    {9, 262, 0, 0, Smoke::mf_const, 232, 8},	//26 QDBusAbstractInterface::isValid() const
    {9, 203, 0, 0, Smoke::mf_const, 16, 9},	//27 QDBusAbstractInterface::connection() const
    {9, 530, 0, 0, Smoke::mf_const, 119, 10},	//28 QDBusAbstractInterface::service() const
    {9, 341, 0, 0, Smoke::mf_const, 119, 11},	//29 QDBusAbstractInterface::path() const
    {9, 247, 0, 0, Smoke::mf_const, 119, 12},	//30 QDBusAbstractInterface::interface() const
    {9, 263, 0, 0, Smoke::mf_const, 29, 13},	//31 QDBusAbstractInterface::lastError() const
    {9, 161, 18, 9, 0, 34, 14},	//32 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 28, 10, 0, 34, 15},	//33 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 183, 39, 3, 0, 34, 16},	//34 QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, const QString&, const QList<QVariant>&)
    {9, 185, 43, 5, 0, 232, 17},	//35 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*, const char*)
    {9, 185, 49, 4, 0, 232, 18},	//36 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*)
    {9, 138, 18, 9, 0, 40, 19},	//37 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 150, 54, 2, 0, 40, 20},	//38 QDBusAbstractInterface::asyncCallWithArgumentList(const QString&, const QList<QVariant>&)
    {9, 60, 57, 5, Smoke::mf_ctor|Smoke::mf_protected, 12, 21},	//39 QDBusAbstractInterface::QDBusAbstractInterface(const QString&, const QString&, const char*, const QDBusConnection&, QObject*)
    {9, 199, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//40 QDBusAbstractInterface::connectNotify(const char*)
    {9, 228, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//41 QDBusAbstractInterface::disconnectNotify(const char*)
    {9, 251, 1, 1, Smoke::mf_const|Smoke::mf_protected, 136, 24},	//42 QDBusAbstractInterface::internalPropGet(const char*) const
    {9, 253, 63, 2, Smoke::mf_protected, 0, 25},	//43 QDBusAbstractInterface::internalPropSet(const char*, const QVariant&)
    {9, 248, 39, 3, Smoke::mf_const|Smoke::mf_protected, 34, 26},	//44 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&, const QList<QVariant>&) const
    {9, 564, 1, 1, Smoke::mf_static, 119, 27},	//45 QDBusAbstractInterface::tr(const char*)
    {9, 568, 1, 1, Smoke::mf_static, 119, 28},	//46 QDBusAbstractInterface::trUtf8(const char*)
    {9, 161, 66, 1, 0, 34, 29},	//47 QDBusAbstractInterface::call(const QString&)
    {9, 161, 68, 2, 0, 34, 30},	//48 QDBusAbstractInterface::call(const QString&, const QVariant&)
    {9, 161, 71, 3, 0, 34, 31},	//49 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&)
    {9, 161, 75, 4, 0, 34, 32},	//50 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 80, 5, 0, 34, 33},	//51 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 86, 6, 0, 34, 34},	//52 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 93, 7, 0, 34, 35},	//53 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 101, 8, 0, 34, 36},	//54 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 110, 2, 0, 34, 37},	//55 QDBusAbstractInterface::call(QDBus::CallMode, const QString&)
    {9, 161, 113, 3, 0, 34, 38},	//56 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&)
    {9, 161, 117, 4, 0, 34, 39},	//57 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&)
    {9, 161, 122, 5, 0, 34, 40},	//58 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 128, 6, 0, 34, 41},	//59 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 135, 7, 0, 34, 42},	//60 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 143, 8, 0, 34, 43},	//61 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 152, 9, 0, 34, 44},	//62 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 138, 66, 1, 0, 40, 45},	//63 QDBusAbstractInterface::asyncCall(const QString&)
    {9, 138, 68, 2, 0, 40, 46},	//64 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&)
    {9, 138, 71, 3, 0, 40, 47},	//65 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&)
    {9, 138, 75, 4, 0, 40, 48},	//66 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 138, 80, 5, 0, 40, 49},	//67 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 138, 86, 6, 0, 40, 50},	//68 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 138, 93, 7, 0, 40, 51},	//69 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 138, 101, 8, 0, 40, 52},	//70 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 248, 110, 2, Smoke::mf_const|Smoke::mf_protected, 34, 53},	//71 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&) const
    {9, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 263, 54},	//72 QDBusAbstractInterface::staticMetaObject() const
    {9, 584, 0, 0, Smoke::mf_dtor, 0, 55 },	//73 QDBusAbstractInterface::~QDBusAbstractInterface()
    {10, 498, 10, 3, Smoke::mf_virtual, 297, 1},	//74 QDBusAbstractInterfaceBase::qt_metacall(QMetaObject::Call, int, void**)
    {10, 585, 0, 0, Smoke::mf_dtor, 0, 2 },	//75 QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase()
    {11, 62, 0, 0, Smoke::mf_ctor, 14, 1},	//76 QDBusArgument::QDBusArgument()
    {11, 62, 162, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//77 QDBusArgument::QDBusArgument(const QDBusArgument&)
    {11, 311, 162, 1, 0, 13, 3},	//78 QDBusArgument::operator=(const QDBusArgument&)
    {11, 299, 164, 1, 0, 13, 4},	//79 QDBusArgument::operator<<(unsigned char)
    {11, 299, 16, 1, 0, 13, 5},	//80 QDBusArgument::operator<<(bool)
    {11, 299, 166, 1, 0, 13, 6},	//81 QDBusArgument::operator<<(short)
    {11, 299, 168, 1, 0, 13, 7},	//82 QDBusArgument::operator<<(unsigned short)
    {11, 299, 170, 1, 0, 13, 8},	//83 QDBusArgument::operator<<(int)
    {11, 299, 172, 1, 0, 13, 9},	//84 QDBusArgument::operator<<(unsigned int)
    {11, 299, 174, 1, 0, 13, 10},	//85 QDBusArgument::operator<<(long long)
    {11, 299, 176, 1, 0, 13, 11},	//86 QDBusArgument::operator<<(unsigned long long)
    {11, 299, 178, 1, 0, 13, 12},	//87 QDBusArgument::operator<<(double)
    {11, 299, 66, 1, 0, 13, 13},	//88 QDBusArgument::operator<<(const QString&)
    {11, 299, 180, 1, 0, 13, 14},	//89 QDBusArgument::operator<<(const QDBusVariant&)
    {11, 299, 182, 1, 0, 13, 15},	//90 QDBusArgument::operator<<(const QDBusObjectPath&)
    {11, 299, 184, 1, 0, 13, 16},	//91 QDBusArgument::operator<<(const QDBusSignature&)
    {11, 299, 186, 1, 0, 13, 17},	//92 QDBusArgument::operator<<(const QStringList&)
    {11, 299, 188, 1, 0, 13, 18},	//93 QDBusArgument::operator<<(const QByteArray&)
    {11, 160, 0, 0, 0, 0, 19},	//94 QDBusArgument::beginStructure()
    {11, 233, 0, 0, 0, 0, 20},	//95 QDBusArgument::endStructure()
    {11, 155, 170, 1, 0, 0, 21},	//96 QDBusArgument::beginArray(int)
    {11, 230, 0, 0, 0, 0, 22},	//97 QDBusArgument::endArray()
    {11, 157, 190, 2, 0, 0, 23},	//98 QDBusArgument::beginMap(int, int)
    {11, 231, 0, 0, 0, 0, 24},	//99 QDBusArgument::endMap()
    {11, 159, 0, 0, 0, 0, 25},	//100 QDBusArgument::beginMapEntry()
    {11, 232, 0, 0, 0, 0, 26},	//101 QDBusArgument::endMapEntry()
    {11, 134, 193, 1, 0, 0, 27},	//102 QDBusArgument::appendVariant(const QVariant&)
    {11, 217, 0, 0, Smoke::mf_const, 119, 28},	//103 QDBusArgument::currentSignature() const
    {11, 218, 0, 0, Smoke::mf_const, 15, 29},	//104 QDBusArgument::currentType() const
    {11, 328, 195, 1, Smoke::mf_const, 241, 30},	//105 QDBusArgument::operator>>(unsigned char&) const
    {11, 328, 197, 1, Smoke::mf_const, 241, 31},	//106 QDBusArgument::operator>>(bool&) const
    {11, 328, 199, 1, Smoke::mf_const, 241, 32},	//107 QDBusArgument::operator>>(short&) const
    {11, 328, 201, 1, Smoke::mf_const, 241, 33},	//108 QDBusArgument::operator>>(unsigned short&) const
    {11, 328, 203, 1, Smoke::mf_const, 241, 34},	//109 QDBusArgument::operator>>(int&) const
    {11, 328, 205, 1, Smoke::mf_const, 241, 35},	//110 QDBusArgument::operator>>(unsigned int&) const
    {11, 328, 207, 1, Smoke::mf_const, 241, 36},	//111 QDBusArgument::operator>>(long long&) const
    {11, 328, 209, 1, Smoke::mf_const, 241, 37},	//112 QDBusArgument::operator>>(unsigned long long&) const
    {11, 328, 211, 1, Smoke::mf_const, 241, 38},	//113 QDBusArgument::operator>>(double&) const
    {11, 328, 213, 1, Smoke::mf_const, 241, 39},	//114 QDBusArgument::operator>>(QString&) const
    {11, 328, 215, 1, Smoke::mf_const, 241, 40},	//115 QDBusArgument::operator>>(QDBusVariant&) const
    {11, 328, 217, 1, Smoke::mf_const, 241, 41},	//116 QDBusArgument::operator>>(QDBusObjectPath&) const
    {11, 328, 219, 1, Smoke::mf_const, 241, 42},	//117 QDBusArgument::operator>>(QDBusSignature&) const
    {11, 328, 221, 1, Smoke::mf_const, 241, 43},	//118 QDBusArgument::operator>>(QStringList&) const
    {11, 328, 223, 1, Smoke::mf_const, 241, 44},	//119 QDBusArgument::operator>>(QByteArray&) const
    {11, 160, 0, 0, Smoke::mf_const, 0, 45},	//120 QDBusArgument::beginStructure() const
    {11, 233, 0, 0, Smoke::mf_const, 0, 46},	//121 QDBusArgument::endStructure() const
    {11, 155, 0, 0, Smoke::mf_const, 0, 47},	//122 QDBusArgument::beginArray() const
    {11, 230, 0, 0, Smoke::mf_const, 0, 48},	//123 QDBusArgument::endArray() const
    {11, 157, 0, 0, Smoke::mf_const, 0, 49},	//124 QDBusArgument::beginMap() const
    {11, 231, 0, 0, Smoke::mf_const, 0, 50},	//125 QDBusArgument::endMap() const
    {11, 159, 0, 0, Smoke::mf_const, 0, 51},	//126 QDBusArgument::beginMapEntry() const
    {11, 232, 0, 0, Smoke::mf_const, 0, 52},	//127 QDBusArgument::endMapEntry() const
    {11, 152, 0, 0, Smoke::mf_const, 232, 53},	//128 QDBusArgument::atEnd() const
    {11, 137, 0, 0, Smoke::mf_const, 136, 54},	//129 QDBusArgument::asVariant() const
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 55},	//130 QDBusArgument::BasicType (enum)
    {11, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 56},	//131 QDBusArgument::VariantType (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 57},	//132 QDBusArgument::ArrayType (enum)
    {11, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 58},	//133 QDBusArgument::StructureType (enum)
    {11, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 59},	//134 QDBusArgument::MapType (enum)
    {11, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 60},	//135 QDBusArgument::MapEntryType (enum)
    {11, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 61},	//136 QDBusArgument::UnknownType (enum)
    {11, 586, 0, 0, Smoke::mf_dtor, 0, 62 },	//137 QDBusArgument::~QDBusArgument()
    {12, 64, 66, 1, Smoke::mf_ctor, 18, 1},	//138 QDBusConnection::QDBusConnection(const QString&)
    {12, 64, 225, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//139 QDBusConnection::QDBusConnection(const QDBusConnection&)
    {12, 311, 225, 1, 0, 17, 3},	//140 QDBusConnection::operator=(const QDBusConnection&)
    {12, 255, 0, 0, Smoke::mf_const, 232, 4},	//141 QDBusConnection::isConnected() const
    {12, 154, 0, 0, Smoke::mf_const, 119, 5},	//142 QDBusConnection::baseService() const
    {12, 263, 0, 0, Smoke::mf_const, 29, 6},	//143 QDBusConnection::lastError() const
    {12, 269, 0, 0, Smoke::mf_const, 119, 7},	//144 QDBusConnection::name() const
    {12, 524, 227, 1, Smoke::mf_const, 232, 8},	//145 QDBusConnection::send(const QDBusMessage&) const
    {12, 185, 229, 5, Smoke::mf_const, 232, 9},	//146 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*, int) const
    {12, 185, 235, 4, Smoke::mf_const, 232, 10},	//147 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    {12, 161, 240, 3, Smoke::mf_const, 34, 11},	//148 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode, int) const
    {12, 138, 244, 2, Smoke::mf_const, 40, 12},	//149 QDBusConnection::asyncCall(const QDBusMessage&, int) const
    {12, 195, 247, 6, 0, 232, 13},	//150 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 195, 254, 7, 0, 232, 14},	//151 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 195, 262, 8, 0, 232, 15},	//152 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 222, 247, 6, 0, 232, 16},	//153 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 222, 254, 7, 0, 232, 17},	//154 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 222, 262, 8, 0, 232, 18},	//155 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 513, 271, 3, 0, 232, 19},	//156 QDBusConnection::registerObject(const QString&, QObject*, QDBusConnection::RegisterOptions)
    {12, 575, 275, 2, 0, 0, 20},	//157 QDBusConnection::unregisterObject(const QString&, QDBusConnection::UnregisterMode)
    {12, 272, 66, 1, Smoke::mf_const, 110, 21},	//158 QDBusConnection::objectRegisteredAt(const QString&) const
    {12, 516, 66, 1, 0, 232, 22},	//159 QDBusConnection::registerService(const QString&)
    {12, 578, 66, 1, 0, 232, 23},	//160 QDBusConnection::unregisterService(const QString&)
    {12, 247, 0, 0, Smoke::mf_const, 24, 24},	//161 QDBusConnection::interface() const
    {12, 201, 278, 2, Smoke::mf_static, 16, 25},	//162 QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    {12, 201, 281, 2, Smoke::mf_static, 16, 26},	//163 QDBusConnection::connectToBus(const QString&, const QString&)
    {12, 226, 66, 1, Smoke::mf_static, 0, 27},	//164 QDBusConnection::disconnectFromBus(const QString&)
    {12, 543, 0, 0, Smoke::mf_static, 16, 28},	//165 QDBusConnection::sessionBus()
    {12, 562, 0, 0, Smoke::mf_static, 16, 29},	//166 QDBusConnection::systemBus()
    {12, 529, 0, 0, Smoke::mf_static, 16, 30},	//167 QDBusConnection::sender()
    {12, 185, 284, 4, Smoke::mf_const, 232, 31},	//168 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    {12, 185, 289, 3, Smoke::mf_const, 232, 32},	//169 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*) const
    {12, 161, 227, 1, Smoke::mf_const, 34, 33},	//170 QDBusConnection::call(const QDBusMessage&) const
    {12, 161, 293, 2, Smoke::mf_const, 34, 34},	//171 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode) const
    {12, 138, 227, 1, Smoke::mf_const, 40, 35},	//172 QDBusConnection::asyncCall(const QDBusMessage&) const
    {12, 513, 296, 2, 0, 232, 36},	//173 QDBusConnection::registerObject(const QString&, QObject*)
    {12, 575, 66, 1, 0, 0, 37},	//174 QDBusConnection::unregisterObject(const QString&)
    {12, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 263, 38},	//175 QDBusConnection::staticMetaObject() const
    {12, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 39},	//176 QDBusConnection::SessionBus (enum)
    {12, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 40},	//177 QDBusConnection::SystemBus (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 41},	//178 QDBusConnection::ActivationBus (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 42},	//179 QDBusConnection::ExportAdaptors (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 43},	//180 QDBusConnection::ExportScriptableSlots (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 44},	//181 QDBusConnection::ExportScriptableSignals (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 45},	//182 QDBusConnection::ExportScriptableProperties (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 46},	//183 QDBusConnection::ExportScriptableContents (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 47},	//184 QDBusConnection::ExportNonScriptableSlots (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 48},	//185 QDBusConnection::ExportNonScriptableSignals (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 49},	//186 QDBusConnection::ExportNonScriptableProperties (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 50},	//187 QDBusConnection::ExportNonScriptableContents (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 51},	//188 QDBusConnection::ExportAllSlots (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 52},	//189 QDBusConnection::ExportAllSignals (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 53},	//190 QDBusConnection::ExportAllProperties (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 54},	//191 QDBusConnection::ExportAllContents (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 55},	//192 QDBusConnection::ExportAllSignal (enum)
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 56},	//193 QDBusConnection::ExportChildObjects (enum)
    {12, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 57},	//194 QDBusConnection::UnregisterNode (enum)
    {12, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 58},	//195 QDBusConnection::UnregisterTree (enum)
    {12, 587, 0, 0, Smoke::mf_dtor, 0, 59 },	//196 QDBusConnection::~QDBusConnection()
    {13, 268, 0, 0, Smoke::mf_const, 264, 1},	//197 QDBusConnectionInterface::metaObject() const
    {13, 500, 1, 1, 0, 322, 2},	//198 QDBusConnectionInterface::qt_metacast(const char*)
    {13, 564, 3, 2, Smoke::mf_static, 119, 3},	//199 QDBusConnectionInterface::tr(const char*, const char*)
    {13, 568, 3, 2, Smoke::mf_static, 119, 4},	//200 QDBusConnectionInterface::trUtf8(const char*, const char*)
    {13, 564, 6, 3, Smoke::mf_static, 119, 5},	//201 QDBusConnectionInterface::tr(const char*, const char*, int)
    {13, 568, 6, 3, Smoke::mf_static, 119, 6},	//202 QDBusConnectionInterface::trUtf8(const char*, const char*, int)
    {13, 498, 10, 3, 0, 297, 7},	//203 QDBusConnectionInterface::qt_metacall(QMetaObject::Call, int, void**)
    {13, 520, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 46, 8},	//204 QDBusConnectionInterface::registeredServiceNames() const
    {13, 260, 66, 1, Smoke::mf_const|Smoke::mf_slot, 47, 9},	//205 QDBusConnectionInterface::isServiceRegistered(const QString&) const
    {13, 531, 66, 1, Smoke::mf_const|Smoke::mf_slot, 45, 10},	//206 QDBusConnectionInterface::serviceOwner(const QString&) const
    {13, 578, 66, 1, Smoke::mf_slot, 47, 11},	//207 QDBusConnectionInterface::unregisterService(const QString&)
    {13, 516, 299, 3, Smoke::mf_slot, 44, 12},	//208 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions)
    {13, 535, 66, 1, Smoke::mf_const|Smoke::mf_slot, 48, 13},	//209 QDBusConnectionInterface::servicePid(const QString&) const
    {13, 539, 66, 1, Smoke::mf_const|Smoke::mf_slot, 48, 14},	//210 QDBusConnectionInterface::serviceUid(const QString&) const
    {13, 559, 66, 1, Smoke::mf_slot, 49, 15},	//211 QDBusConnectionInterface::startService(const QString&)
    {13, 537, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//212 QDBusConnectionInterface::serviceRegistered(const QString&)
    {13, 541, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//213 QDBusConnectionInterface::serviceUnregistered(const QString&)
    {13, 533, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//214 QDBusConnectionInterface::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {13, 191, 307, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//215 QDBusConnectionInterface::callWithCallbackFailed(const QDBusError&, const QDBusMessage&)
    {13, 44, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//216 QDBusConnectionInterface::NameAcquired(const QString&)
    {13, 46, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//217 QDBusConnectionInterface::NameLost(const QString&)
    {13, 48, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//218 QDBusConnectionInterface::NameOwnerChanged(const QString&, const QString&, const QString&)
    {13, 199, 1, 1, Smoke::mf_protected, 0, 23},	//219 QDBusConnectionInterface::connectNotify(const char*)
    {13, 228, 1, 1, Smoke::mf_protected, 0, 24},	//220 QDBusConnectionInterface::disconnectNotify(const char*)
    {13, 564, 1, 1, Smoke::mf_static, 119, 25},	//221 QDBusConnectionInterface::tr(const char*)
    {13, 568, 1, 1, Smoke::mf_static, 119, 26},	//222 QDBusConnectionInterface::trUtf8(const char*)
    {13, 516, 66, 1, Smoke::mf_slot, 44, 27},	//223 QDBusConnectionInterface::registerService(const QString&)
    {13, 516, 310, 2, Smoke::mf_slot, 44, 28},	//224 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions)
    {13, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 263, 29},	//225 QDBusConnectionInterface::staticMetaObject() const
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 30},	//226 QDBusConnectionInterface::DontQueueService (enum)
    {13, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 31},	//227 QDBusConnectionInterface::QueueService (enum)
    {13, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 32},	//228 QDBusConnectionInterface::ReplaceExistingService (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 33},	//229 QDBusConnectionInterface::DontAllowReplacement (enum)
    {13, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 34},	//230 QDBusConnectionInterface::AllowReplacement (enum)
    {13, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 35},	//231 QDBusConnectionInterface::ServiceNotRegistered (enum)
    {13, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 36},	//232 QDBusConnectionInterface::ServiceRegistered (enum)
    {13, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 37},	//233 QDBusConnectionInterface::ServiceQueued (enum)
    {14, 67, 0, 0, Smoke::mf_ctor, 28, 1},	//234 QDBusContext::QDBusContext()
    {14, 193, 0, 0, Smoke::mf_const, 232, 2},	//235 QDBusContext::calledFromDBus() const
    {14, 203, 0, 0, Smoke::mf_const, 16, 3},	//236 QDBusContext::connection() const
    {14, 267, 0, 0, Smoke::mf_const, 245, 4},	//237 QDBusContext::message() const
    {14, 256, 0, 0, Smoke::mf_const, 232, 5},	//238 QDBusContext::isDelayedReply() const
    {14, 550, 16, 1, Smoke::mf_const, 0, 6},	//239 QDBusContext::setDelayedReply(bool) const
    {14, 526, 281, 2, Smoke::mf_const, 0, 7},	//240 QDBusContext::sendErrorReply(const QString&, const QString&) const
    {14, 526, 313, 2, Smoke::mf_const, 0, 8},	//241 QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    {14, 67, 316, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 9},	//242 QDBusContext::QDBusContext(const QDBusContext&)
    {14, 526, 66, 1, Smoke::mf_const, 0, 10},	//243 QDBusContext::sendErrorReply(const QString&) const
    {14, 526, 318, 1, Smoke::mf_const, 0, 11},	//244 QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    {14, 588, 0, 0, Smoke::mf_dtor, 0, 12 },	//245 QDBusContext::~QDBusContext()
    {15, 69, 320, 1, Smoke::mf_ctor, 31, 1},	//246 QDBusError::QDBusError(const DBusError*)
    {15, 69, 227, 1, Smoke::mf_ctor, 31, 2},	//247 QDBusError::QDBusError(const QDBusMessage&)
    {15, 69, 313, 2, Smoke::mf_ctor, 31, 3},	//248 QDBusError::QDBusError(QDBusError::ErrorType, const QString&)
    {15, 69, 322, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//249 QDBusError::QDBusError(const QDBusError&)
    {15, 311, 322, 1, 0, 30, 5},	//250 QDBusError::operator=(const QDBusError&)
    {15, 572, 0, 0, Smoke::mf_const, 32, 6},	//251 QDBusError::type() const
    {15, 269, 0, 0, Smoke::mf_const, 119, 7},	//252 QDBusError::name() const
    {15, 267, 0, 0, Smoke::mf_const, 119, 8},	//253 QDBusError::message() const
    {15, 262, 0, 0, Smoke::mf_const, 232, 9},	//254 QDBusError::isValid() const
    {15, 237, 318, 1, Smoke::mf_static, 119, 10},	//255 QDBusError::errorString(QDBusError::ErrorType)
    {15, 69, 0, 0, Smoke::mf_ctor, 31, 11},	//256 QDBusError::QDBusError()
    {15, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 12},	//257 QDBusError::NoError (enum)
    {15, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 13},	//258 QDBusError::Other (enum)
    {15, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 14},	//259 QDBusError::Failed (enum)
    {15, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 15},	//260 QDBusError::NoMemory (enum)
    {15, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 16},	//261 QDBusError::ServiceUnknown (enum)
    {15, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 17},	//262 QDBusError::NoReply (enum)
    {15, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 18},	//263 QDBusError::BadAddress (enum)
    {15, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 19},	//264 QDBusError::NotSupported (enum)
    {15, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 20},	//265 QDBusError::LimitsExceeded (enum)
    {15, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 21},	//266 QDBusError::AccessDenied (enum)
    {15, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 22},	//267 QDBusError::NoServer (enum)
    {15, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 23},	//268 QDBusError::Timeout (enum)
    {15, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 24},	//269 QDBusError::NoNetwork (enum)
    {15, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 25},	//270 QDBusError::AddressInUse (enum)
    {15, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 26},	//271 QDBusError::Disconnected (enum)
    {15, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//272 QDBusError::InvalidArgs (enum)
    {15, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//273 QDBusError::UnknownMethod (enum)
    {15, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//274 QDBusError::TimedOut (enum)
    {15, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//275 QDBusError::InvalidSignature (enum)
    {15, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 31},	//276 QDBusError::UnknownInterface (enum)
    {15, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 32},	//277 QDBusError::InternalError (enum)
    {15, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//278 QDBusError::UnknownObject (enum)
    {15, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//279 QDBusError::InvalidService (enum)
    {15, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 35},	//280 QDBusError::InvalidObjectPath (enum)
    {15, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 36},	//281 QDBusError::InvalidInterface (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 37},	//282 QDBusError::InvalidMember (enum)
    {15, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 38},	//283 QDBusError::LastErrorType (enum)
    {15, 589, 0, 0, Smoke::mf_dtor, 0, 39 },	//284 QDBusError::~QDBusError()
    {16, 72, 324, 5, Smoke::mf_ctor, 33, 1},	//285 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&, QObject*)
    {16, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 2},	//286 QDBusInterface::metaObject() const
    {16, 500, 1, 1, Smoke::mf_virtual, 322, 3},	//287 QDBusInterface::qt_metacast(const char*)
    {16, 498, 10, 3, Smoke::mf_virtual, 297, 4},	//288 QDBusInterface::qt_metacall(QMetaObject::Call, int, void**)
    {16, 72, 281, 2, Smoke::mf_ctor, 33, 5},	//289 QDBusInterface::QDBusInterface(const QString&, const QString&)
    {16, 72, 303, 3, Smoke::mf_ctor, 33, 6},	//290 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&)
    {16, 72, 330, 4, Smoke::mf_ctor, 33, 7},	//291 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&)
    {16, 590, 0, 0, Smoke::mf_dtor, 0, 8 },	//292 QDBusInterface::~QDBusInterface()
    {17, 77, 0, 0, Smoke::mf_ctor, 36, 1},	//293 QDBusMessage::QDBusMessage()
    {17, 77, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 2},	//294 QDBusMessage::QDBusMessage(const QDBusMessage&)
    {17, 311, 227, 1, 0, 35, 3},	//295 QDBusMessage::operator=(const QDBusMessage&)
    {17, 215, 303, 3, Smoke::mf_static, 34, 4},	//296 QDBusMessage::createSignal(const QString&, const QString&, const QString&)
    {17, 210, 335, 4, Smoke::mf_static, 34, 5},	//297 QDBusMessage::createMethodCall(const QString&, const QString&, const QString&, const QString&)
    {17, 204, 281, 2, Smoke::mf_static, 34, 6},	//298 QDBusMessage::createError(const QString&, const QString&)
    {17, 204, 322, 1, Smoke::mf_static, 34, 7},	//299 QDBusMessage::createError(const QDBusError&)
    {17, 204, 313, 2, Smoke::mf_static, 34, 8},	//300 QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    {17, 212, 340, 1, Smoke::mf_const, 34, 9},	//301 QDBusMessage::createReply(const QList<QVariant>&) const
    {17, 212, 193, 1, Smoke::mf_const, 34, 10},	//302 QDBusMessage::createReply(const QVariant&) const
    {17, 207, 342, 2, Smoke::mf_const, 34, 11},	//303 QDBusMessage::createErrorReply(const QString, const QString&) const
    {17, 207, 322, 1, Smoke::mf_const, 34, 12},	//304 QDBusMessage::createErrorReply(const QDBusError&) const
    {17, 207, 313, 2, Smoke::mf_const, 34, 13},	//305 QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    {17, 530, 0, 0, Smoke::mf_const, 119, 14},	//306 QDBusMessage::service() const
    {17, 341, 0, 0, Smoke::mf_const, 119, 15},	//307 QDBusMessage::path() const
    {17, 247, 0, 0, Smoke::mf_const, 119, 16},	//308 QDBusMessage::interface() const
    {17, 266, 0, 0, Smoke::mf_const, 119, 17},	//309 QDBusMessage::member() const
    {17, 236, 0, 0, Smoke::mf_const, 119, 18},	//310 QDBusMessage::errorName() const
    {17, 235, 0, 0, Smoke::mf_const, 119, 19},	//311 QDBusMessage::errorMessage() const
    {17, 572, 0, 0, Smoke::mf_const, 37, 20},	//312 QDBusMessage::type() const
    {17, 556, 0, 0, Smoke::mf_const, 119, 21},	//313 QDBusMessage::signature() const
    {17, 259, 0, 0, Smoke::mf_const, 232, 22},	//314 QDBusMessage::isReplyRequired() const
    {17, 550, 16, 1, Smoke::mf_const, 0, 23},	//315 QDBusMessage::setDelayedReply(bool) const
    {17, 256, 0, 0, Smoke::mf_const, 232, 24},	//316 QDBusMessage::isDelayedReply() const
    {17, 544, 340, 1, 0, 0, 25},	//317 QDBusMessage::setArguments(const QList<QVariant>&)
    {17, 136, 0, 0, Smoke::mf_const, 105, 26},	//318 QDBusMessage::arguments() const
    {17, 299, 193, 1, 0, 35, 27},	//319 QDBusMessage::operator<<(const QVariant&)
    {17, 212, 0, 0, Smoke::mf_const, 34, 28},	//320 QDBusMessage::createReply() const
    {17, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 29},	//321 QDBusMessage::InvalidMessage (enum)
    {17, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 30},	//322 QDBusMessage::MethodCallMessage (enum)
    {17, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 31},	//323 QDBusMessage::ReplyMessage (enum)
    {17, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 32},	//324 QDBusMessage::ErrorMessage (enum)
    {17, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 33},	//325 QDBusMessage::SignalMessage (enum)
    {17, 591, 0, 0, Smoke::mf_dtor, 0, 34 },	//326 QDBusMessage::~QDBusMessage()
    {18, 511, 345, 3, Smoke::mf_static, 0, 1},	//327 QDBusMetaType::registerMarshallOperators(int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*))
    {18, 264, 349, 3, Smoke::mf_static, 232, 2},	//328 QDBusMetaType::marshall(QDBusArgument&, int, const void*)
    {18, 220, 353, 3, Smoke::mf_static, 232, 3},	//329 QDBusMetaType::demarshall(const QDBusArgument&, int, void*)
    {18, 557, 1, 1, Smoke::mf_static, 297, 4},	//330 QDBusMetaType::signatureToType(const char*)
    {18, 573, 170, 1, Smoke::mf_static, 291, 5},	//331 QDBusMetaType::typeToSignature(int)
    {18, 79, 0, 0, Smoke::mf_ctor, 38, 6},	//332 QDBusMetaType::QDBusMetaType()
    {18, 79, 357, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 7},	//333 QDBusMetaType::QDBusMetaType(const QDBusMetaType&)
    {18, 592, 0, 0, Smoke::mf_dtor, 0, 8 },	//334 QDBusMetaType::~QDBusMetaType()
    {19, 81, 359, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 1},	//335 QDBusPendingCall::QDBusPendingCall(const QDBusPendingCall&)
    {19, 311, 359, 1, 0, 41, 2},	//336 QDBusPendingCall::operator=(const QDBusPendingCall&)
    {19, 258, 0, 0, Smoke::mf_const, 232, 3},	//337 QDBusPendingCall::isFinished() const
    {19, 580, 0, 0, 0, 0, 4},	//338 QDBusPendingCall::waitForFinished()
    {19, 257, 0, 0, Smoke::mf_const, 232, 5},	//339 QDBusPendingCall::isError() const
    {19, 262, 0, 0, Smoke::mf_const, 232, 6},	//340 QDBusPendingCall::isValid() const
    {19, 234, 0, 0, Smoke::mf_const, 29, 7},	//341 QDBusPendingCall::error() const
    {19, 523, 0, 0, Smoke::mf_const, 34, 8},	//342 QDBusPendingCall::reply() const
    {19, 245, 322, 1, Smoke::mf_static, 40, 9},	//343 QDBusPendingCall::fromError(const QDBusError&)
    {19, 243, 227, 1, Smoke::mf_static, 40, 10},	//344 QDBusPendingCall::fromCompletedCall(const QDBusMessage&)
    {19, 593, 0, 0, Smoke::mf_dtor, 0, 11 },	//345 QDBusPendingCall::~QDBusPendingCall()
    {20, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 1},	//346 QDBusPendingCallWatcher::metaObject() const
    {20, 500, 1, 1, Smoke::mf_virtual, 322, 2},	//347 QDBusPendingCallWatcher::qt_metacast(const char*)
    {20, 564, 3, 2, Smoke::mf_static, 119, 3},	//348 QDBusPendingCallWatcher::tr(const char*, const char*)
    {20, 568, 3, 2, Smoke::mf_static, 119, 4},	//349 QDBusPendingCallWatcher::trUtf8(const char*, const char*)
    {20, 564, 6, 3, Smoke::mf_static, 119, 5},	//350 QDBusPendingCallWatcher::tr(const char*, const char*, int)
    {20, 568, 6, 3, Smoke::mf_static, 119, 6},	//351 QDBusPendingCallWatcher::trUtf8(const char*, const char*, int)
    {20, 498, 10, 3, Smoke::mf_virtual, 297, 7},	//352 QDBusPendingCallWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {20, 83, 361, 2, Smoke::mf_ctor, 43, 8},	//353 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&, QObject*)
    {20, 580, 0, 0, 0, 0, 9},	//354 QDBusPendingCallWatcher::waitForFinished()
    {20, 241, 364, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//355 QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*)
    {20, 564, 1, 1, Smoke::mf_static, 119, 11},	//356 QDBusPendingCallWatcher::tr(const char*)
    {20, 568, 1, 1, Smoke::mf_static, 119, 12},	//357 QDBusPendingCallWatcher::trUtf8(const char*)
    {20, 83, 359, 1, Smoke::mf_ctor, 43, 13},	//358 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&)
    {20, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 263, 14},	//359 QDBusPendingCallWatcher::staticMetaObject() const
    {20, 594, 0, 0, Smoke::mf_dtor, 0, 15 },	//360 QDBusPendingCallWatcher::~QDBusPendingCallWatcher()
    {21, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 1},	//361 QDBusServer::metaObject() const
    {21, 500, 1, 1, Smoke::mf_virtual, 322, 2},	//362 QDBusServer::qt_metacast(const char*)
    {21, 564, 3, 2, Smoke::mf_static, 119, 3},	//363 QDBusServer::tr(const char*, const char*)
    {21, 568, 3, 2, Smoke::mf_static, 119, 4},	//364 QDBusServer::trUtf8(const char*, const char*)
    {21, 564, 6, 3, Smoke::mf_static, 119, 5},	//365 QDBusServer::tr(const char*, const char*, int)
    {21, 568, 6, 3, Smoke::mf_static, 119, 6},	//366 QDBusServer::trUtf8(const char*, const char*, int)
    {21, 498, 10, 3, Smoke::mf_virtual, 297, 7},	//367 QDBusServer::qt_metacall(QMetaObject::Call, int, void**)
    {21, 86, 296, 2, Smoke::mf_ctor, 50, 8},	//368 QDBusServer::QDBusServer(const QString&, QObject*)
    {21, 255, 0, 0, Smoke::mf_const, 232, 9},	//369 QDBusServer::isConnected() const
    {21, 263, 0, 0, Smoke::mf_const, 29, 10},	//370 QDBusServer::lastError() const
    {21, 133, 0, 0, Smoke::mf_const, 119, 11},	//371 QDBusServer::address() const
    {21, 270, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//372 QDBusServer::newConnection(const QDBusConnection&)
    {21, 564, 1, 1, Smoke::mf_static, 119, 13},	//373 QDBusServer::tr(const char*)
    {21, 568, 1, 1, Smoke::mf_static, 119, 14},	//374 QDBusServer::trUtf8(const char*)
    {21, 86, 66, 1, Smoke::mf_ctor, 50, 15},	//375 QDBusServer::QDBusServer(const QString&)
    {21, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 263, 16},	//376 QDBusServer::staticMetaObject() const
    {21, 595, 0, 0, Smoke::mf_dtor, 0, 17 },	//377 QDBusServer::~QDBusServer()
    {22, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 1},	//378 QDBusServiceWatcher::metaObject() const
    {22, 500, 1, 1, Smoke::mf_virtual, 322, 2},	//379 QDBusServiceWatcher::qt_metacast(const char*)
    {22, 564, 3, 2, Smoke::mf_static, 119, 3},	//380 QDBusServiceWatcher::tr(const char*, const char*)
    {22, 568, 3, 2, Smoke::mf_static, 119, 4},	//381 QDBusServiceWatcher::trUtf8(const char*, const char*)
    {22, 564, 6, 3, Smoke::mf_static, 119, 5},	//382 QDBusServiceWatcher::tr(const char*, const char*, int)
    {22, 568, 6, 3, Smoke::mf_static, 119, 6},	//383 QDBusServiceWatcher::trUtf8(const char*, const char*, int)
    {22, 498, 10, 3, Smoke::mf_virtual, 297, 7},	//384 QDBusServiceWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {22, 89, 14, 1, Smoke::mf_ctor, 51, 8},	//385 QDBusServiceWatcher::QDBusServiceWatcher(QObject*)
    {22, 89, 366, 4, Smoke::mf_ctor, 51, 9},	//386 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QDBusServiceWatcher::WatchMode, QObject*)
    {22, 582, 0, 0, Smoke::mf_const|Smoke::mf_property, 123, 10},	//387 QDBusServiceWatcher::watchedServices() const
    {22, 554, 186, 1, Smoke::mf_property, 0, 11},	//388 QDBusServiceWatcher::setWatchedServices(const QStringList&)
    {22, 131, 66, 1, 0, 0, 12},	//389 QDBusServiceWatcher::addWatchedService(const QString&)
    {22, 521, 66, 1, 0, 232, 13},	//390 QDBusServiceWatcher::removeWatchedService(const QString&)
    {22, 581, 0, 0, Smoke::mf_const|Smoke::mf_property, 52, 14},	//391 QDBusServiceWatcher::watchMode() const
    {22, 552, 371, 1, Smoke::mf_property, 0, 15},	//392 QDBusServiceWatcher::setWatchMode(QDBusServiceWatcher::WatchMode)
    {22, 203, 0, 0, Smoke::mf_const, 16, 16},	//393 QDBusServiceWatcher::connection() const
    {22, 548, 225, 1, 0, 0, 17},	//394 QDBusServiceWatcher::setConnection(const QDBusConnection&)
    {22, 537, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//395 QDBusServiceWatcher::serviceRegistered(const QString&)
    {22, 541, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//396 QDBusServiceWatcher::serviceUnregistered(const QString&)
    {22, 533, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//397 QDBusServiceWatcher::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {22, 564, 1, 1, Smoke::mf_static, 119, 21},	//398 QDBusServiceWatcher::tr(const char*)
    {22, 568, 1, 1, Smoke::mf_static, 119, 22},	//399 QDBusServiceWatcher::trUtf8(const char*)
    {22, 89, 0, 0, Smoke::mf_ctor, 51, 23},	//400 QDBusServiceWatcher::QDBusServiceWatcher()
    {22, 89, 373, 2, Smoke::mf_ctor, 51, 24},	//401 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&)
    {22, 89, 376, 3, Smoke::mf_ctor, 51, 25},	//402 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QDBusServiceWatcher::WatchMode)
    {22, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 263, 26},	//403 QDBusServiceWatcher::staticMetaObject() const
    {22, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 27},	//404 QDBusServiceWatcher::WatchForRegistration (enum)
    {22, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 28},	//405 QDBusServiceWatcher::WatchForUnregistration (enum)
    {22, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 29},	//406 QDBusServiceWatcher::WatchForOwnerChange (enum)
    {22, 596, 0, 0, Smoke::mf_dtor, 0, 30 },	//407 QDBusServiceWatcher::~QDBusServiceWatcher()
    {31, 279, 380, 2, Smoke::mf_static, 2, 1},	//408 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {31, 364, 0, 0, Smoke::mf_static, 60, 2},	//409 QGlobalSpace::qCritical()
    {31, 388, 383, 1, Smoke::mf_static, 310, 3},	//410 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {31, 488, 6, 3, Smoke::mf_static, 0, 4},	//411 QGlobalSpace::qt_assert(const char*, const char*, int)
    {31, 337, 385, 2, Smoke::mf_static, 68, 5},	//412 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    {31, 281, 388, 2, Smoke::mf_static, 268, 6},	//413 QGlobalSpace::operator*(const QPoint&, double)
    {31, 398, 178, 1, Smoke::mf_static, 232, 7},	//414 QGlobalSpace::qIsInf(double)
    {31, 281, 391, 2, Smoke::mf_static, 270, 8},	//415 QGlobalSpace::operator*(double, const QPointF&)
    {31, 274, 394, 2, Smoke::mf_static, 232, 9},	//416 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {31, 281, 397, 2, Smoke::mf_static, 278, 10},	//417 QGlobalSpace::operator*(double, const QSizeF&)
    {31, 299, 400, 2, Smoke::mf_static, 60, 11},	//418 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {31, 469, 403, 2, Smoke::mf_static, 235, 12},	//419 QGlobalSpace::qstrcpy(char*, const char*)
    {31, 337, 406, 2, Smoke::mf_static, 95, 13},	//420 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    {31, 274, 409, 2, Smoke::mf_static, 232, 14},	//421 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {31, 284, 412, 2, Smoke::mf_static, 276, 15},	//422 QGlobalSpace::operator+(const QSize&, const QSize&)
    {31, 370, 178, 1, Smoke::mf_static, 294, 16},	//423 QGlobalSpace::qFabs(double)
    {31, 299, 415, 2, Smoke::mf_static, 60, 17},	//424 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {31, 416, 0, 0, Smoke::mf_static, 294, 18},	//425 QGlobalSpace::qQNaN()
    {31, 388, 164, 1, Smoke::mf_static, 310, 19},	//426 QGlobalSpace::qHash(unsigned char)
    {31, 299, 418, 2, Smoke::mf_static, 13, 20},	//427 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {31, 449, 0, 0, Smoke::mf_static, 291, 21},	//428 QGlobalSpace::qVersion()
    {31, 337, 421, 2, Smoke::mf_static, 85, 22},	//429 QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    {31, 337, 424, 2, Smoke::mf_static, 101, 23},	//430 QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    {31, 313, 394, 2, Smoke::mf_static, 232, 24},	//431 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {31, 337, 427, 2, Smoke::mf_static, 101, 25},	//432 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    {31, 299, 430, 2, Smoke::mf_static, 57, 26},	//433 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {31, 281, 433, 2, Smoke::mf_static, 278, 27},	//434 QGlobalSpace::operator*(const QSizeF&, double)
    {31, 318, 436, 2, Smoke::mf_static, 232, 28},	//435 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {31, 353, 178, 1, Smoke::mf_static, 297, 29},	//436 QGlobalSpace::qCeil(double)
    {31, 459, 0, 0, Smoke::mf_static, 297, 30},	//437 QGlobalSpace::qrand()
    {31, 289, 439, 2, Smoke::mf_static, 278, 31},	//438 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {31, 323, 442, 2, Smoke::mf_static, 232, 32},	//439 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {31, 313, 445, 2, Smoke::mf_static, 232, 33},	//440 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {31, 299, 448, 2, Smoke::mf_static, 60, 34},	//441 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {31, 274, 451, 2, Smoke::mf_static, 232, 35},	//442 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {31, 313, 454, 2, Smoke::mf_static, 232, 36},	//443 QGlobalSpace::operator==(QBool, QBool)
    {31, 388, 457, 1, Smoke::mf_static, 310, 37},	//444 QGlobalSpace::qHash(const QStringRef&)
    {31, 313, 459, 2, Smoke::mf_static, 232, 38},	//445 QGlobalSpace::operator==(QString::Null, QString::Null)
    {31, 328, 462, 2, Smoke::mf_static, 241, 39},	//446 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {31, 299, 465, 2, Smoke::mf_static, 57, 40},	//447 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {31, 328, 468, 2, Smoke::mf_static, 57, 41},	//448 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {31, 284, 471, 2, Smoke::mf_static, 280, 42},	//449 QGlobalSpace::operator+(QChar, const QString&)
    {31, 337, 474, 2, Smoke::mf_static, 77, 43},	//450 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    {31, 299, 477, 2, Smoke::mf_static, 60, 44},	//451 QGlobalSpace::operator<<(QDebug, const QTime&)
    {31, 299, 480, 2, Smoke::mf_static, 57, 45},	//452 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {31, 299, 483, 2, Smoke::mf_static, 60, 46},	//453 QGlobalSpace::operator<<(QDebug, const QDate&)
    {31, 294, 486, 2, Smoke::mf_static, 232, 47},	//454 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {31, 337, 489, 2, Smoke::mf_static, 101, 48},	//455 QGlobalSpace::operator|(QDBusServiceWatcher::WatchMode::enum_type, int)
    {31, 388, 492, 1, Smoke::mf_static, 310, 49},	//456 QGlobalSpace::qHash(const QBitArray&)
    {31, 451, 494, 3, Smoke::mf_static, 0, 50},	//457 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {31, 349, 178, 1, Smoke::mf_static, 294, 51},	//458 QGlobalSpace::qAtan(double)
    {31, 337, 498, 2, Smoke::mf_static, 101, 52},	//459 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    {31, 299, 501, 2, Smoke::mf_static, 13, 53},	//460 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {31, 299, 504, 2, Smoke::mf_static, 60, 54},	//461 QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    {31, 507, 507, 3, Smoke::mf_static, 232, 55},	//462 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {31, 388, 66, 1, Smoke::mf_static, 310, 56},	//463 QGlobalSpace::qHash(const QString&)
    {31, 337, 511, 2, Smoke::mf_static, 87, 57},	//464 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    {31, 388, 168, 1, Smoke::mf_static, 310, 58},	//465 QGlobalSpace::qHash(unsigned short)
    {31, 421, 514, 1, Smoke::mf_static, 0, 59},	//466 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {31, 388, 516, 1, Smoke::mf_static, 310, 60},	//467 QGlobalSpace::qHash(long)
    {31, 388, 174, 1, Smoke::mf_static, 310, 61},	//468 QGlobalSpace::qHash(long long)
    {31, 284, 439, 2, Smoke::mf_static, 278, 62},	//469 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {31, 313, 486, 2, Smoke::mf_static, 232, 63},	//470 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {31, 299, 518, 2, Smoke::mf_static, 57, 64},	//471 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {31, 362, 178, 1, Smoke::mf_static, 294, 65},	//472 QGlobalSpace::qCos(double)
    {31, 337, 521, 2, Smoke::mf_static, 70, 66},	//473 QGlobalSpace::operator|(QDBusServiceWatcher::WatchMode::enum_type, QFlags<QDBusServiceWatcher::WatchMode::enum_type>)
    {31, 462, 172, 1, Smoke::mf_static, 0, 67},	//474 QGlobalSpace::qsrand(unsigned int)
    {31, 398, 524, 1, Smoke::mf_static, 232, 68},	//475 QGlobalSpace::qIsInf(float)
    {31, 337, 526, 2, Smoke::mf_static, 90, 69},	//476 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    {31, 299, 529, 2, Smoke::mf_static, 57, 70},	//477 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {31, 294, 532, 2, Smoke::mf_static, 232, 71},	//478 QGlobalSpace::operator<(const QByteArray&, const char*)
    {31, 299, 535, 2, Smoke::mf_static, 60, 72},	//479 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {31, 337, 538, 2, Smoke::mf_static, 75, 73},	//480 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    {31, 337, 541, 2, Smoke::mf_static, 101, 74},	//481 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    {31, 337, 544, 2, Smoke::mf_static, 96, 75},	//482 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    {31, 450, 0, 0, Smoke::mf_static, 60, 76},	//483 QGlobalSpace::qWarning()
    {31, 337, 547, 2, Smoke::mf_static, 72, 77},	//484 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    {31, 337, 550, 2, Smoke::mf_static, 101, 78},	//485 QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    {31, 337, 553, 2, Smoke::mf_static, 80, 79},	//486 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    {31, 328, 556, 2, Smoke::mf_static, 57, 80},	//487 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {31, 284, 559, 2, Smoke::mf_static, 280, 81},	//488 QGlobalSpace::operator+(const QString&, const char*)
    {31, 328, 562, 2, Smoke::mf_static, 241, 82},	//489 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {31, 299, 565, 2, Smoke::mf_static, 60, 83},	//490 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {31, 337, 568, 2, Smoke::mf_static, 91, 84},	//491 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    {31, 328, 571, 2, Smoke::mf_static, 57, 85},	//492 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {31, 337, 574, 2, Smoke::mf_static, 93, 86},	//493 QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    {31, 284, 577, 2, Smoke::mf_static, 238, 87},	//494 QGlobalSpace::operator+(char, const QByteArray&)
    {31, 292, 388, 2, Smoke::mf_static, 268, 88},	//495 QGlobalSpace::operator/(const QPoint&, double)
    {31, 337, 580, 2, Smoke::mf_static, 87, 89},	//496 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    {31, 284, 583, 2, Smoke::mf_static, 280, 90},	//497 QGlobalSpace::operator+(const char*, const QString&)
    {31, 313, 586, 2, Smoke::mf_static, 232, 91},	//498 QGlobalSpace::operator==(const char*, const QByteArray&)
    {31, 328, 589, 2, Smoke::mf_static, 241, 92},	//499 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {31, 400, 524, 1, Smoke::mf_static, 232, 93},	//500 QGlobalSpace::qIsNaN(float)
    {31, 328, 592, 2, Smoke::mf_static, 57, 94},	//501 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {31, 384, 595, 2, Smoke::mf_static, 232, 95},	//502 QGlobalSpace::qFuzzyCompare(double, double)
    {31, 337, 598, 2, Smoke::mf_static, 101, 96},	//503 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    {31, 402, 524, 1, Smoke::mf_static, 232, 97},	//504 QGlobalSpace::qIsNull(float)
    {31, 328, 601, 2, Smoke::mf_static, 57, 98},	//505 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {31, 328, 604, 2, Smoke::mf_static, 57, 99},	//506 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {31, 328, 607, 2, Smoke::mf_static, 57, 100},	//507 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {31, 313, 610, 2, Smoke::mf_static, 232, 101},	//508 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {31, 306, 583, 2, Smoke::mf_static, 232, 102},	//509 QGlobalSpace::operator<=(const char*, const QString&)
    {31, 337, 613, 2, Smoke::mf_static, 101, 103},	//510 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    {31, 313, 616, 2, Smoke::mf_static, 232, 104},	//511 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 337, 619, 2, Smoke::mf_static, 89, 105},	//512 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    {31, 274, 622, 2, Smoke::mf_static, 232, 106},	//513 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {31, 337, 625, 2, Smoke::mf_static, 91, 107},	//514 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    {31, 299, 628, 2, Smoke::mf_static, 60, 108},	//515 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {31, 294, 631, 2, Smoke::mf_static, 232, 109},	//516 QGlobalSpace::operator<(QChar, QChar)
    {31, 388, 184, 1, Smoke::mf_static, 310, 110},	//517 QGlobalSpace::qHash(const QDBusSignature&)
    {31, 323, 436, 2, Smoke::mf_static, 232, 111},	//518 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {31, 481, 634, 3, Smoke::mf_static, 297, 112},	//519 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {31, 388, 188, 1, Smoke::mf_static, 310, 113},	//520 QGlobalSpace::qHash(const QByteArray&)
    {31, 337, 638, 2, Smoke::mf_static, 101, 114},	//521 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    {31, 388, 182, 1, Smoke::mf_static, 310, 115},	//522 QGlobalSpace::qHash(const QDBusObjectPath&)
    {31, 337, 641, 2, Smoke::mf_static, 82, 116},	//523 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    {31, 492, 644, 2, Smoke::mf_static, 0, 117},	//524 QGlobalSpace::qt_check_pointer(const char*, int)
    {31, 337, 647, 2, Smoke::mf_static, 69, 118},	//525 QGlobalSpace::operator|(QDBusConnection::RegisterOptions::enum_type, QDBusConnection::RegisterOptions::enum_type)
    {31, 337, 650, 2, Smoke::mf_static, 101, 119},	//526 QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    {31, 328, 653, 2, Smoke::mf_static, 57, 120},	//527 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {31, 281, 656, 2, Smoke::mf_static, 270, 121},	//528 QGlobalSpace::operator*(const QPointF&, double)
    {31, 464, 442, 2, Smoke::mf_static, 297, 122},	//529 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {31, 432, 659, 1, Smoke::mf_static, 130, 123},	//530 QGlobalSpace::qSetPadChar(QChar)
    {31, 337, 661, 2, Smoke::mf_static, 101, 124},	//531 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    {31, 464, 532, 2, Smoke::mf_static, 297, 125},	//532 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {31, 328, 664, 2, Smoke::mf_static, 241, 126},	//533 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {31, 337, 667, 2, Smoke::mf_static, 101, 127},	//534 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    {31, 313, 412, 2, Smoke::mf_static, 232, 128},	//535 QGlobalSpace::operator==(const QSize&, const QSize&)
    {31, 436, 0, 0, Smoke::mf_static, 232, 129},	//536 QGlobalSpace::qSharedBuild()
    {31, 392, 670, 1, Smoke::mf_static, 320, 130},	//537 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {31, 299, 672, 2, Smoke::mf_static, 57, 131},	//538 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {31, 313, 675, 2, Smoke::mf_static, 232, 132},	//539 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {31, 503, 678, 3, Smoke::mf_static, 110, 133},	//540 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {31, 313, 436, 2, Smoke::mf_static, 232, 134},	//541 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {31, 299, 682, 2, Smoke::mf_static, 13, 135},	//542 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {31, 337, 685, 2, Smoke::mf_static, 94, 136},	//543 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    {31, 274, 442, 2, Smoke::mf_static, 232, 137},	//544 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {31, 337, 688, 2, Smoke::mf_static, 92, 138},	//545 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    {31, 292, 433, 2, Smoke::mf_static, 278, 139},	//546 QGlobalSpace::operator/(const QSizeF&, double)
    {31, 318, 631, 2, Smoke::mf_static, 232, 140},	//547 QGlobalSpace::operator>(QChar, QChar)
    {31, 323, 586, 2, Smoke::mf_static, 232, 141},	//548 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {31, 382, 691, 1, Smoke::mf_static, 0, 142},	//549 QGlobalSpace::qFreeAligned(void*)
    {31, 313, 693, 2, Smoke::mf_static, 232, 143},	//550 QGlobalSpace::operator==(const QString&, QString::Null)
    {31, 394, 524, 1, Smoke::mf_static, 297, 144},	//551 QGlobalSpace::qIntCast(float)
    {31, 294, 442, 2, Smoke::mf_static, 232, 145},	//552 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {31, 457, 586, 2, Smoke::mf_static, 232, 146},	//553 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {31, 328, 696, 2, Smoke::mf_static, 57, 147},	//554 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {31, 441, 699, 2, Smoke::mf_static, 232, 148},	//555 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {31, 337, 702, 2, Smoke::mf_static, 101, 149},	//556 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    {31, 477, 634, 3, Smoke::mf_static, 297, 150},	//557 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {31, 289, 705, 1, Smoke::mf_static, 270, 151},	//558 QGlobalSpace::operator-(const QPointF&)
    {31, 419, 707, 4, Smoke::mf_static, 322, 152},	//559 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {31, 388, 176, 1, Smoke::mf_static, 310, 153},	//560 QGlobalSpace::qHash(unsigned long long)
    {31, 284, 712, 2, Smoke::mf_static, 280, 154},	//561 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {31, 299, 715, 2, Smoke::mf_static, 60, 155},	//562 QGlobalSpace::operator<<(QDebug, const QSize&)
    {31, 284, 718, 2, Smoke::mf_static, 280, 156},	//563 QGlobalSpace::operator+(const QString&, char)
    {31, 323, 622, 2, Smoke::mf_static, 232, 157},	//564 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {31, 346, 0, 0, Smoke::mf_static, 119, 158},	//565 QGlobalSpace::qAppName()
    {31, 388, 659, 1, Smoke::mf_static, 310, 159},	//566 QGlobalSpace::qHash(QChar)
    {31, 313, 451, 2, Smoke::mf_static, 232, 160},	//567 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {31, 386, 178, 1, Smoke::mf_static, 232, 161},	//568 QGlobalSpace::qFuzzyIsNull(double)
    {31, 337, 721, 2, Smoke::mf_static, 76, 162},	//569 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    {31, 337, 724, 2, Smoke::mf_static, 68, 163},	//570 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    {31, 299, 727, 2, Smoke::mf_static, 57, 164},	//571 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {31, 337, 730, 2, Smoke::mf_static, 101, 165},	//572 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    {31, 412, 733, 3, Smoke::mf_static, 322, 166},	//573 QGlobalSpace::qMemSet(void*, int, size_t)
    {31, 337, 737, 2, Smoke::mf_static, 80, 167},	//574 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    {31, 351, 595, 2, Smoke::mf_static, 294, 168},	//575 QGlobalSpace::qAtan2(double, double)
    {31, 337, 740, 2, Smoke::mf_static, 101, 169},	//576 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    {31, 328, 743, 2, Smoke::mf_static, 241, 170},	//577 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {31, 299, 746, 2, Smoke::mf_static, 57, 171},	//578 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {31, 328, 749, 2, Smoke::mf_static, 57, 172},	//579 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {31, 337, 752, 2, Smoke::mf_static, 71, 173},	//580 QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    {31, 357, 755, 2, Smoke::mf_static, 5, 174},	//581 QGlobalSpace::qCompress(const QByteArray&, int)
    {31, 357, 188, 1, Smoke::mf_static, 5, 175},	//582 QGlobalSpace::qCompress(const QByteArray&)
    {31, 294, 586, 2, Smoke::mf_static, 232, 176},	//583 QGlobalSpace::operator<(const char*, const QByteArray&)
    {31, 365, 758, 3, Smoke::mf_static, 0, 177},	//584 QGlobalSpace::qDBusReplyFill(const QDBusMessage&, QDBusError&, QVariant&)
    {31, 344, 762, 1, Smoke::mf_static, 0, 178},	//585 QGlobalSpace::qAddPostRoutine(void(*)())
    {31, 337, 764, 2, Smoke::mf_static, 74, 179},	//586 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    {31, 328, 767, 2, Smoke::mf_static, 241, 180},	//587 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {31, 368, 178, 1, Smoke::mf_static, 294, 181},	//588 QGlobalSpace::qExp(double)
    {31, 274, 412, 2, Smoke::mf_static, 232, 182},	//589 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {31, 299, 770, 2, Smoke::mf_static, 13, 183},	//590 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {31, 306, 532, 2, Smoke::mf_static, 232, 184},	//591 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {31, 274, 773, 2, Smoke::mf_static, 232, 185},	//592 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {31, 313, 776, 2, Smoke::mf_static, 232, 186},	//593 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {31, 402, 178, 1, Smoke::mf_static, 232, 187},	//594 QGlobalSpace::qIsNull(double)
    {31, 299, 779, 2, Smoke::mf_static, 60, 188},	//595 QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    {31, 323, 782, 2, Smoke::mf_static, 232, 189},	//596 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {31, 337, 785, 2, Smoke::mf_static, 101, 190},	//597 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    {31, 313, 788, 2, Smoke::mf_static, 232, 191},	//598 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {31, 394, 178, 1, Smoke::mf_static, 297, 192},	//599 QGlobalSpace::qIntCast(double)
    {31, 335, 380, 2, Smoke::mf_static, 2, 193},	//600 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {31, 355, 791, 2, Smoke::mf_static, 315, 194},	//601 QGlobalSpace::qChecksum(const char*, unsigned int)
    {31, 294, 622, 2, Smoke::mf_static, 232, 195},	//602 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {31, 299, 794, 2, Smoke::mf_static, 60, 196},	//603 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {31, 455, 1, 1, Smoke::mf_static, 5, 197},	//604 QGlobalSpace::qgetenv(const char*)
    {31, 274, 699, 2, Smoke::mf_static, 232, 198},	//605 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {31, 328, 797, 2, Smoke::mf_static, 127, 199},	//606 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {31, 274, 586, 2, Smoke::mf_static, 232, 200},	//607 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {31, 342, 178, 1, Smoke::mf_static, 294, 201},	//608 QGlobalSpace::qAcos(double)
    {31, 318, 622, 2, Smoke::mf_static, 232, 202},	//609 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {31, 337, 800, 2, Smoke::mf_static, 73, 203},	//610 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    {31, 337, 803, 2, Smoke::mf_static, 72, 204},	//611 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    {31, 337, 806, 2, Smoke::mf_static, 101, 205},	//612 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    {31, 337, 809, 2, Smoke::mf_static, 75, 206},	//613 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    {31, 299, 812, 2, Smoke::mf_static, 57, 207},	//614 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {31, 337, 815, 2, Smoke::mf_static, 76, 208},	//615 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    {31, 479, 818, 3, Smoke::mf_static, 235, 209},	//616 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {31, 337, 822, 2, Smoke::mf_static, 101, 210},	//617 QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    {31, 337, 825, 2, Smoke::mf_static, 85, 211},	//618 QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    {31, 337, 828, 2, Smoke::mf_static, 79, 212},	//619 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    {31, 299, 831, 2, Smoke::mf_static, 57, 213},	//620 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {31, 337, 834, 2, Smoke::mf_static, 78, 214},	//621 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    {31, 396, 524, 1, Smoke::mf_static, 232, 215},	//622 QGlobalSpace::qIsFinite(float)
    {31, 494, 170, 1, Smoke::mf_static, 119, 216},	//623 QGlobalSpace::qt_error_string(int)
    {31, 494, 0, 0, Smoke::mf_static, 119, 217},	//624 QGlobalSpace::qt_error_string()
    {31, 337, 837, 2, Smoke::mf_static, 97, 218},	//625 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    {31, 417, 840, 2, Smoke::mf_static, 322, 219},	//626 QGlobalSpace::qRealloc(void*, size_t)
    {31, 284, 281, 2, Smoke::mf_static, 280, 220},	//627 QGlobalSpace::operator+(const QString&, const QString&)
    {31, 490, 843, 4, Smoke::mf_static, 0, 221},	//628 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {31, 294, 583, 2, Smoke::mf_static, 232, 222},	//629 QGlobalSpace::operator<(const char*, const QString&)
    {31, 274, 583, 2, Smoke::mf_static, 232, 223},	//630 QGlobalSpace::operator!=(const char*, const QString&)
    {31, 274, 532, 2, Smoke::mf_static, 232, 224},	//631 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {31, 274, 848, 2, Smoke::mf_static, 232, 225},	//632 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {31, 337, 851, 2, Smoke::mf_static, 94, 226},	//633 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    {31, 337, 854, 2, Smoke::mf_static, 97, 227},	//634 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    {31, 337, 857, 2, Smoke::mf_static, 101, 228},	//635 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    {31, 318, 442, 2, Smoke::mf_static, 232, 229},	//636 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {31, 425, 178, 1, Smoke::mf_static, 297, 230},	//637 QGlobalSpace::qRound(double)
    {31, 306, 436, 2, Smoke::mf_static, 232, 231},	//638 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {31, 313, 773, 2, Smoke::mf_static, 232, 232},	//639 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {31, 337, 860, 2, Smoke::mf_static, 74, 233},	//640 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    {31, 337, 863, 2, Smoke::mf_static, 95, 234},	//641 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    {31, 337, 866, 2, Smoke::mf_static, 101, 235},	//642 QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    {31, 337, 380, 2, Smoke::mf_static, 2, 236},	//643 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {31, 313, 869, 2, Smoke::mf_static, 232, 237},	//644 QGlobalSpace::operator==(const char*, const QStringRef&)
    {31, 284, 586, 2, Smoke::mf_static, 238, 238},	//645 QGlobalSpace::operator+(const char*, const QByteArray&)
    {31, 306, 622, 2, Smoke::mf_static, 232, 239},	//646 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {31, 328, 872, 2, Smoke::mf_static, 57, 240},	//647 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {31, 299, 875, 2, Smoke::mf_static, 13, 241},	//648 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {31, 328, 878, 2, Smoke::mf_static, 57, 242},	//649 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {31, 313, 631, 2, Smoke::mf_static, 232, 243},	//650 QGlobalSpace::operator==(QChar, QChar)
    {31, 274, 776, 2, Smoke::mf_static, 232, 244},	//651 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {31, 274, 881, 2, Smoke::mf_static, 232, 245},	//652 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {31, 388, 884, 1, Smoke::mf_static, 310, 246},	//653 QGlobalSpace::qHash(signed char)
    {31, 337, 886, 2, Smoke::mf_static, 86, 247},	//654 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    {31, 299, 889, 2, Smoke::mf_static, 57, 248},	//655 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {31, 337, 892, 2, Smoke::mf_static, 88, 249},	//656 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    {31, 439, 178, 1, Smoke::mf_static, 294, 250},	//657 QGlobalSpace::qSqrt(double)
    {31, 464, 3, 2, Smoke::mf_static, 297, 251},	//658 QGlobalSpace::qstrcmp(const char*, const char*)
    {31, 328, 895, 2, Smoke::mf_static, 241, 252},	//659 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {31, 337, 898, 2, Smoke::mf_static, 84, 253},	//660 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    {31, 284, 901, 2, Smoke::mf_static, 280, 254},	//661 QGlobalSpace::operator+(char, const QString&)
    {31, 274, 445, 2, Smoke::mf_static, 232, 255},	//662 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {31, 274, 631, 2, Smoke::mf_static, 232, 256},	//663 QGlobalSpace::operator!=(QChar, QChar)
    {31, 483, 791, 2, Smoke::mf_static, 310, 257},	//664 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {31, 313, 782, 2, Smoke::mf_static, 232, 258},	//665 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {31, 337, 904, 2, Smoke::mf_static, 101, 259},	//666 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    {31, 378, 178, 1, Smoke::mf_static, 297, 260},	//667 QGlobalSpace::qFloor(double)
    {31, 299, 907, 2, Smoke::mf_static, 60, 261},	//668 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {31, 337, 910, 2, Smoke::mf_static, 77, 262},	//669 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    {31, 313, 439, 2, Smoke::mf_static, 232, 263},	//670 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {31, 313, 622, 2, Smoke::mf_static, 232, 264},	//671 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {31, 274, 913, 2, Smoke::mf_static, 232, 265},	//672 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {31, 281, 916, 2, Smoke::mf_static, 276, 266},	//673 QGlobalSpace::operator*(double, const QSize&)
    {31, 388, 919, 1, Smoke::mf_static, 310, 267},	//674 QGlobalSpace::qHash(const QModelIndex&)
    {31, 299, 921, 2, Smoke::mf_static, 60, 268},	//675 QGlobalSpace::operator<<(QDebug, const QLine&)
    {31, 299, 924, 2, Smoke::mf_static, 13, 269},	//676 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {31, 423, 762, 1, Smoke::mf_static, 0, 270},	//677 QGlobalSpace::qRemovePostRoutine(void(*)())
    {31, 299, 927, 2, Smoke::mf_static, 57, 271},	//678 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {31, 376, 1, 1, Smoke::mf_static, 291, 272},	//679 QGlobalSpace::qFlagLocation(const char*)
    {31, 410, 930, 3, Smoke::mf_static, 322, 273},	//680 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {31, 323, 532, 2, Smoke::mf_static, 232, 274},	//681 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {31, 281, 934, 2, Smoke::mf_static, 268, 275},	//682 QGlobalSpace::operator*(double, const QPoint&)
    {31, 400, 178, 1, Smoke::mf_static, 232, 276},	//683 QGlobalSpace::qIsNaN(double)
    {31, 299, 937, 2, Smoke::mf_static, 60, 277},	//684 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {31, 388, 166, 1, Smoke::mf_static, 310, 278},	//685 QGlobalSpace::qHash(short)
    {31, 391, 0, 0, Smoke::mf_static, 294, 279},	//686 QGlobalSpace::qInf()
    {31, 299, 940, 2, Smoke::mf_static, 60, 280},	//687 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {31, 299, 943, 2, Smoke::mf_static, 57, 281},	//688 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {31, 284, 946, 2, Smoke::mf_static, 238, 282},	//689 QGlobalSpace::operator+(const QByteArray&, char)
    {31, 292, 656, 2, Smoke::mf_static, 270, 283},	//690 QGlobalSpace::operator/(const QPointF&, double)
    {31, 446, 188, 1, Smoke::mf_static, 5, 284},	//691 QGlobalSpace::qUncompress(const QByteArray&)
    {31, 323, 631, 2, Smoke::mf_static, 232, 285},	//692 QGlobalSpace::operator>=(QChar, QChar)
    {31, 337, 949, 2, Smoke::mf_static, 98, 286},	//693 QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    {31, 306, 442, 2, Smoke::mf_static, 232, 287},	//694 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {31, 434, 170, 1, Smoke::mf_static, 130, 288},	//695 QGlobalSpace::qSetRealNumberPrecision(int)
    {31, 299, 952, 2, Smoke::mf_static, 60, 289},	//696 QGlobalSpace::operator<<(QDebug, const QObject*)
    {31, 437, 178, 1, Smoke::mf_static, 294, 290},	//697 QGlobalSpace::qSin(double)
    {31, 347, 178, 1, Smoke::mf_static, 294, 291},	//698 QGlobalSpace::qAsin(double)
    {31, 337, 955, 2, Smoke::mf_static, 98, 292},	//699 QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    {31, 473, 3, 2, Smoke::mf_static, 297, 293},	//700 QGlobalSpace::qstricmp(const char*, const char*)
    {31, 453, 958, 3, Smoke::mf_static, 235, 294},	//701 QGlobalSpace::qgcvt(long double, int, char*)
    {31, 337, 962, 2, Smoke::mf_static, 90, 295},	//702 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    {31, 384, 965, 2, Smoke::mf_static, 232, 296},	//703 QGlobalSpace::qFuzzyCompare(float, float)
    {31, 274, 486, 2, Smoke::mf_static, 232, 297},	//704 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {31, 306, 782, 2, Smoke::mf_static, 232, 298},	//705 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {31, 509, 968, 4, Smoke::mf_static, 297, 299},	//706 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {31, 299, 973, 2, Smoke::mf_static, 57, 300},	//707 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {31, 502, 0, 0, Smoke::mf_static, 0, 301},	//708 QGlobalSpace::qt_noop()
    {31, 318, 586, 2, Smoke::mf_static, 232, 302},	//709 QGlobalSpace::operator>(const char*, const QByteArray&)
    {31, 328, 976, 2, Smoke::mf_static, 57, 303},	//710 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {31, 299, 979, 2, Smoke::mf_static, 13, 304},	//711 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {31, 430, 170, 1, Smoke::mf_static, 130, 305},	//712 QGlobalSpace::qSetFieldWidth(int)
    {31, 337, 982, 2, Smoke::mf_static, 96, 306},	//713 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    {31, 299, 985, 2, Smoke::mf_static, 57, 307},	//714 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {31, 313, 913, 2, Smoke::mf_static, 232, 308},	//715 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {31, 274, 988, 2, Smoke::mf_static, 232, 309},	//716 QGlobalSpace::operator!=(bool, QBool)
    {31, 388, 991, 1, Smoke::mf_static, 310, 310},	//717 QGlobalSpace::qHash(unsigned long)
    {31, 299, 993, 2, Smoke::mf_static, 60, 311},	//718 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {31, 337, 996, 2, Smoke::mf_static, 70, 312},	//719 QGlobalSpace::operator|(QDBusServiceWatcher::WatchMode::enum_type, QDBusServiceWatcher::WatchMode::enum_type)
    {31, 274, 999, 2, Smoke::mf_static, 232, 313},	//720 QGlobalSpace::operator!=(QBool, bool)
    {31, 289, 773, 2, Smoke::mf_static, 268, 314},	//721 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {31, 337, 1002, 2, Smoke::mf_static, 101, 315},	//722 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    {31, 404, 178, 1, Smoke::mf_static, 294, 316},	//723 QGlobalSpace::qLn(double)
    {31, 274, 616, 2, Smoke::mf_static, 232, 317},	//724 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 299, 1005, 2, Smoke::mf_static, 13, 318},	//725 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {31, 328, 1008, 2, Smoke::mf_static, 57, 319},	//726 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {31, 475, 1, 1, Smoke::mf_static, 310, 320},	//727 QGlobalSpace::qstrlen(const char*)
    {31, 328, 1011, 2, Smoke::mf_static, 241, 321},	//728 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {31, 284, 532, 2, Smoke::mf_static, 238, 322},	//729 QGlobalSpace::operator+(const QByteArray&, const char*)
    {31, 299, 1014, 2, Smoke::mf_static, 57, 323},	//730 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {31, 306, 586, 2, Smoke::mf_static, 232, 324},	//731 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {31, 274, 439, 2, Smoke::mf_static, 232, 325},	//732 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {31, 337, 1017, 2, Smoke::mf_static, 101, 326},	//733 QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    {31, 313, 848, 2, Smoke::mf_static, 232, 327},	//734 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {31, 337, 1020, 2, Smoke::mf_static, 101, 328},	//735 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    {31, 274, 782, 2, Smoke::mf_static, 232, 329},	//736 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {31, 281, 1023, 2, Smoke::mf_static, 276, 330},	//737 QGlobalSpace::operator*(const QSize&, double)
    {31, 313, 1026, 2, Smoke::mf_static, 232, 331},	//738 QGlobalSpace::operator==(QString::Null, const QString&)
    {31, 294, 616, 2, Smoke::mf_static, 232, 332},	//739 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 337, 1029, 2, Smoke::mf_static, 101, 333},	//740 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    {31, 328, 1032, 2, Smoke::mf_static, 57, 334},	//741 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {31, 299, 1035, 2, Smoke::mf_static, 60, 335},	//742 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {31, 313, 532, 2, Smoke::mf_static, 232, 336},	//743 QGlobalSpace::operator==(const QByteArray&, const char*)
    {31, 505, 1038, 5, Smoke::mf_static, 0, 337},	//744 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {31, 328, 1044, 2, Smoke::mf_static, 57, 338},	//745 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {31, 299, 1047, 2, Smoke::mf_static, 13, 339},	//746 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {31, 299, 1050, 2, Smoke::mf_static, 13, 340},	//747 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {31, 318, 583, 2, Smoke::mf_static, 232, 341},	//748 QGlobalSpace::operator>(const char*, const QString&)
    {31, 337, 1053, 2, Smoke::mf_static, 101, 342},	//749 QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    {31, 337, 1056, 2, Smoke::mf_static, 101, 343},	//750 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    {31, 460, 1059, 4, Smoke::mf_static, 0, 344},	//751 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {31, 299, 1064, 2, Smoke::mf_static, 57, 345},	//752 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {31, 318, 532, 2, Smoke::mf_static, 232, 346},	//753 QGlobalSpace::operator>(const QByteArray&, const char*)
    {31, 294, 436, 2, Smoke::mf_static, 232, 347},	//754 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {31, 337, 1067, 2, Smoke::mf_static, 101, 348},	//755 QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    {31, 299, 1070, 2, Smoke::mf_static, 13, 349},	//756 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {31, 337, 1073, 2, Smoke::mf_static, 73, 350},	//757 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    {31, 284, 773, 2, Smoke::mf_static, 268, 351},	//758 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {31, 299, 1076, 2, Smoke::mf_static, 57, 352},	//759 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {31, 380, 691, 1, Smoke::mf_static, 0, 353},	//760 QGlobalSpace::qFree(void*)
    {31, 337, 1079, 2, Smoke::mf_static, 71, 354},	//761 QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    {31, 306, 631, 2, Smoke::mf_static, 232, 355},	//762 QGlobalSpace::operator<=(QChar, QChar)
    {31, 299, 1082, 2, Smoke::mf_static, 127, 356},	//763 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {31, 388, 172, 1, Smoke::mf_static, 310, 357},	//764 QGlobalSpace::qHash(unsigned int)
    {31, 274, 1026, 2, Smoke::mf_static, 232, 358},	//765 QGlobalSpace::operator!=(QString::Null, const QString&)
    {31, 427, 178, 1, Smoke::mf_static, 301, 359},	//766 QGlobalSpace::qRound64(double)
    {31, 328, 1085, 2, Smoke::mf_static, 241, 360},	//767 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {31, 318, 782, 2, Smoke::mf_static, 232, 361},	//768 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {31, 299, 1088, 2, Smoke::mf_static, 60, 362},	//769 QGlobalSpace::operator<<(QDebug, const QDBusError&)
    {31, 337, 1091, 2, Smoke::mf_static, 69, 363},	//770 QGlobalSpace::operator|(QDBusConnection::RegisterOptions::enum_type, QFlags<QDBusConnection::RegisterOptions::enum_type>)
    {31, 337, 1094, 2, Smoke::mf_static, 82, 364},	//771 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    {31, 408, 1097, 2, Smoke::mf_static, 322, 365},	//772 QGlobalSpace::qMallocAligned(size_t, size_t)
    {31, 274, 693, 2, Smoke::mf_static, 232, 366},	//773 QGlobalSpace::operator!=(const QString&, QString::Null)
    {31, 357, 1100, 3, Smoke::mf_static, 5, 367},	//774 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {31, 357, 1104, 2, Smoke::mf_static, 5, 368},	//775 QGlobalSpace::qCompress(const unsigned char*, int)
    {31, 337, 1107, 2, Smoke::mf_static, 81, 369},	//776 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    {31, 471, 1, 1, Smoke::mf_static, 235, 370},	//777 QGlobalSpace::qstrdup(const char*)
    {31, 367, 0, 0, Smoke::mf_static, 60, 371},	//778 QGlobalSpace::qDebug()
    {31, 289, 1110, 1, Smoke::mf_static, 268, 372},	//779 QGlobalSpace::operator-(const QPoint&)
    {31, 464, 586, 2, Smoke::mf_static, 297, 373},	//780 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {31, 299, 1112, 2, Smoke::mf_static, 13, 374},	//781 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {31, 337, 1115, 2, Smoke::mf_static, 93, 375},	//782 QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    {31, 444, 178, 1, Smoke::mf_static, 294, 376},	//783 QGlobalSpace::qTan(double)
    {31, 328, 1118, 2, Smoke::mf_static, 57, 377},	//784 QGlobalSpace::operator>>(QDataStream&, QString&)
    {31, 313, 442, 2, Smoke::mf_static, 232, 378},	//785 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {31, 299, 1121, 2, Smoke::mf_static, 57, 379},	//786 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {31, 388, 170, 1, Smoke::mf_static, 310, 380},	//787 QGlobalSpace::qHash(int)
    {31, 289, 610, 2, Smoke::mf_static, 270, 381},	//788 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {31, 337, 1124, 2, Smoke::mf_static, 89, 382},	//789 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    {31, 294, 782, 2, Smoke::mf_static, 232, 383},	//790 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {31, 328, 1127, 2, Smoke::mf_static, 57, 384},	//791 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {31, 414, 595, 2, Smoke::mf_static, 294, 385},	//792 QGlobalSpace::qPow(double, double)
    {31, 299, 1130, 2, Smoke::mf_static, 13, 386},	//793 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {31, 313, 699, 2, Smoke::mf_static, 232, 387},	//794 QGlobalSpace::operator==(const QStringRef&, const char*)
    {31, 299, 1133, 2, Smoke::mf_static, 60, 388},	//795 QGlobalSpace::operator<<(QDebug, QDir::Filters)
    {31, 274, 869, 2, Smoke::mf_static, 232, 389},	//796 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {31, 337, 1136, 2, Smoke::mf_static, 101, 390},	//797 QGlobalSpace::operator|(QDBusConnection::RegisterOptions::enum_type, int)
    {31, 284, 442, 2, Smoke::mf_static, 238, 391},	//798 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {31, 284, 1139, 2, Smoke::mf_static, 280, 392},	//799 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {31, 441, 559, 2, Smoke::mf_static, 232, 393},	//800 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {31, 337, 1142, 2, Smoke::mf_static, 81, 394},	//801 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    {31, 328, 1145, 2, Smoke::mf_static, 57, 395},	//802 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {31, 496, 1148, 2, Smoke::mf_static, 0, 396},	//803 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {31, 313, 583, 2, Smoke::mf_static, 232, 397},	//804 QGlobalSpace::operator==(const char*, const QString&)
    {31, 299, 1151, 2, Smoke::mf_static, 60, 398},	//805 QGlobalSpace::operator<<(QDebug, const QRect&)
    {31, 372, 178, 1, Smoke::mf_static, 294, 399},	//806 QGlobalSpace::qFastCos(double)
    {31, 299, 1154, 2, Smoke::mf_static, 57, 400},	//807 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {31, 292, 1023, 2, Smoke::mf_static, 276, 401},	//808 QGlobalSpace::operator/(const QSize&, double)
    {31, 328, 1157, 2, Smoke::mf_static, 57, 402},	//809 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {31, 328, 1160, 2, Smoke::mf_static, 241, 403},	//810 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {31, 313, 988, 2, Smoke::mf_static, 232, 404},	//811 QGlobalSpace::operator==(bool, QBool)
    {31, 337, 1163, 2, Smoke::mf_static, 83, 405},	//812 QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    {31, 337, 1166, 2, Smoke::mf_static, 78, 406},	//813 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    {31, 323, 583, 2, Smoke::mf_static, 232, 407},	//814 QGlobalSpace::operator>=(const char*, const QString&)
    {31, 388, 1169, 1, Smoke::mf_static, 310, 408},	//815 QGlobalSpace::qHash(char)
    {31, 299, 1171, 2, Smoke::mf_static, 57, 409},	//816 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {31, 337, 1174, 2, Smoke::mf_static, 101, 410},	//817 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    {31, 328, 1177, 2, Smoke::mf_static, 57, 411},	//818 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {31, 274, 610, 2, Smoke::mf_static, 232, 412},	//819 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {31, 337, 1180, 2, Smoke::mf_static, 84, 413},	//820 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    {31, 396, 178, 1, Smoke::mf_static, 232, 414},	//821 QGlobalSpace::qIsFinite(double)
    {31, 289, 412, 2, Smoke::mf_static, 276, 415},	//822 QGlobalSpace::operator-(const QSize&, const QSize&)
    {31, 429, 0, 0, Smoke::mf_static, 294, 416},	//823 QGlobalSpace::qSNaN()
    {31, 337, 1183, 2, Smoke::mf_static, 101, 417},	//824 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    {31, 386, 524, 1, Smoke::mf_static, 232, 418},	//825 QGlobalSpace::qFuzzyIsNull(float)
    {31, 337, 1186, 2, Smoke::mf_static, 88, 419},	//826 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    {31, 446, 1104, 2, Smoke::mf_static, 5, 420},	//827 QGlobalSpace::qUncompress(const unsigned char*, int)
    {31, 274, 436, 2, Smoke::mf_static, 232, 421},	//828 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {31, 374, 178, 1, Smoke::mf_static, 294, 422},	//829 QGlobalSpace::qFastSin(double)
    {31, 328, 1189, 2, Smoke::mf_static, 241, 423},	//830 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {31, 299, 1192, 2, Smoke::mf_static, 60, 424},	//831 QGlobalSpace::operator<<(QDebug, const QDir&)
    {31, 284, 610, 2, Smoke::mf_static, 270, 425},	//832 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {31, 313, 999, 2, Smoke::mf_static, 232, 426},	//833 QGlobalSpace::operator==(QBool, bool)
    {31, 313, 409, 2, Smoke::mf_static, 232, 427},	//834 QGlobalSpace::operator==(const QRect&, const QRect&)
    {31, 337, 1195, 2, Smoke::mf_static, 86, 428},	//835 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    {31, 337, 1198, 2, Smoke::mf_static, 79, 429},	//836 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    {31, 485, 644, 2, Smoke::mf_static, 119, 430},	//837 QGlobalSpace::qtTrId(const char*, int)
    {31, 485, 1, 1, Smoke::mf_static, 119, 431},	//838 QGlobalSpace::qtTrId(const char*)
    {31, 328, 1201, 2, Smoke::mf_static, 57, 432},	//839 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {31, 284, 1204, 2, Smoke::mf_static, 280, 433},	//840 QGlobalSpace::operator+(const QString&, QChar)
    {31, 274, 459, 2, Smoke::mf_static, 232, 434},	//841 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {31, 274, 454, 2, Smoke::mf_static, 232, 435},	//842 QGlobalSpace::operator!=(QBool, QBool)
    {31, 337, 1207, 2, Smoke::mf_static, 83, 436},	//843 QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    {31, 337, 1210, 2, Smoke::mf_static, 92, 437},	//844 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    {31, 299, 797, 2, Smoke::mf_static, 127, 438},	//845 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {31, 406, 1213, 1, Smoke::mf_static, 322, 439},	//846 QGlobalSpace::qMalloc(size_t)
    {31, 299, 1215, 2, Smoke::mf_static, 60, 440},	//847 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {31, 313, 881, 2, Smoke::mf_static, 232, 441},	//848 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {31, 328, 1218, 2, Smoke::mf_static, 241, 442},	//849 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {31, 299, 1221, 2, Smoke::mf_static, 57, 443},	//850 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {31, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 299, 444},	//851 QGlobalSpace::_IEEE_ (enum)
    {31, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 299, 445},	//852 QGlobalSpace::_SVID_ (enum)
    {31, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 299, 446},	//853 QGlobalSpace::_XOPEN_ (enum)
    {31, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 299, 447},	//854 QGlobalSpace::_POSIX_ (enum)
    {31, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 299, 448},	//855 QGlobalSpace::_ISOC_ (enum)
    {31, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 449},	//856 QGlobalSpace::QtDebugMsg (enum)
    {31, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 450},	//857 QGlobalSpace::QtWarningMsg (enum)
    {31, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 451},	//858 QGlobalSpace::QtCriticalMsg (enum)
    {31, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 452},	//859 QGlobalSpace::QtFatalMsg (enum)
    {31, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 453},	//860 QGlobalSpace::QtSystemMsg (enum)
    {31, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 454},	//861 QGlobalSpace::__codecvt_ok (enum)
    {31, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 455},	//862 QGlobalSpace::__codecvt_partial (enum)
    {31, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 456},	//863 QGlobalSpace::__codecvt_error (enum)
    {31, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 457},	//864 QGlobalSpace::__codecvt_noconv (enum)
    {41, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 0},	//865 QObject::metaObject() const
    {41, 500, 1, 1, Smoke::mf_virtual, 322, 0},	//866 QObject::qt_metacast(const char*)
    {41, 239, 1224, 1, Smoke::mf_virtual, 232, 0},	//867 QObject::event(QEvent*)
    {41, 240, 1226, 2, Smoke::mf_virtual, 232, 0},	//868 QObject::eventFilter(QObject*, QEvent*)
    {41, 563, 1229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//869 QObject::timerEvent(QTimerEvent*)
    {41, 194, 1231, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//870 QObject::childEvent(QChildEvent*)
    {41, 219, 1224, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//871 QObject::customEvent(QEvent*)
    {41, 199, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//872 QObject::connectNotify(const char*)
    {41, 228, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//873 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    416,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    421,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    442,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    513,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    544,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    589,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    592,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    652,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    662,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    663,  // QGlobalSpace::operator!=(QChar, QChar)
    672,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    732,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    736,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    819,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    841,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    842,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    605,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    631,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    651,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    720,  // QGlobalSpace::operator!=(QBool, bool)
    765,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    607,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    632,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    716,  // QGlobalSpace::operator!=(bool, QBool)
    773,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    796,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    828,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    630,  // QGlobalSpace::operator!=(const char*, const QString&)
    704,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    724,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    413,  // QGlobalSpace::operator*(const QPoint&, double)
    434,  // QGlobalSpace::operator*(const QSizeF&, double)
    528,  // QGlobalSpace::operator*(const QPointF&, double)
    737,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    415,  // QGlobalSpace::operator*(double, const QPointF&)
    417,  // QGlobalSpace::operator*(double, const QSizeF&)
    673,  // QGlobalSpace::operator*(double, const QSize&)
    682,  // QGlobalSpace::operator*(double, const QPoint&)
    0,
    422,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    469,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    758,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    798,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    832,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    449,  // QGlobalSpace::operator+(QChar, const QString&)
    561,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    689,  // QGlobalSpace::operator+(const QByteArray&, char)
    729,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    0,
    494,  // QGlobalSpace::operator+(char, const QByteArray&)
    645,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    799,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    840,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    488,  // QGlobalSpace::operator+(const QString&, const char*)
    497,  // QGlobalSpace::operator+(const char*, const QString&)
    563,  // QGlobalSpace::operator+(const QString&, char)
    627,  // QGlobalSpace::operator+(const QString&, const QString&)
    661,  // QGlobalSpace::operator+(char, const QString&)
    0,
    558,  // QGlobalSpace::operator-(const QPointF&)
    779,  // QGlobalSpace::operator-(const QPoint&)
    0,
    438,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    721,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    788,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    822,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    495,  // QGlobalSpace::operator/(const QPoint&, double)
    546,  // QGlobalSpace::operator/(const QSizeF&, double)
    690,  // QGlobalSpace::operator/(const QPointF&, double)
    808,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    516,  // QGlobalSpace::operator<(QChar, QChar)
    552,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    602,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    790,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    583,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    754,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    454,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    629,  // QGlobalSpace::operator<(const char*, const QString&)
    739,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    418,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    424,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    427,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    433,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    447,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    451,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    452,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    453,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    460,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    477,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    479,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    490,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    515,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    538,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    542,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    562,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    571,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    578,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    590,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    595,  // QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    603,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    614,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    620,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    648,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    655,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    668,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    675,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    676,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    678,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    684,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    687,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    688,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    696,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    707,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    714,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    718,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    725,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    730,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    742,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    746,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    752,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    756,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    759,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    763,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    769,  // QGlobalSpace::operator<<(QDebug, const QDBusError&)
    781,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    793,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    805,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    816,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    831,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    845,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    847,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    850,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    441,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    461,  // QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    786,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    795,  // QGlobalSpace::operator<<(QDebug, QDir::Filters)
    807,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    471,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    711,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    747,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    0,
    646,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    694,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    705,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    762,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    638,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    731,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    431,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    440,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    443,  // QGlobalSpace::operator==(QBool, QBool)
    445,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    508,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    535,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    539,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    567,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    598,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    639,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    650,  // QGlobalSpace::operator==(QChar, QChar)
    665,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    670,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    671,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    715,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    785,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    834,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    848,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    593,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    738,  // QGlobalSpace::operator==(QString::Null, const QString&)
    743,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    794,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    833,  // QGlobalSpace::operator==(QBool, bool)
    0,
    498,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    541,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    550,  // QGlobalSpace::operator==(const QString&, QString::Null)
    644,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    734,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    811,  // QGlobalSpace::operator==(bool, QBool)
    0,
    470,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    511,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    804,  // QGlobalSpace::operator==(const char*, const QString&)
    0,
    547,  // QGlobalSpace::operator>(QChar, QChar)
    609,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    636,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    768,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    435,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    709,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    439,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    564,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    596,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    692,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    518,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    548,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    446,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    448,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    487,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    489,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    492,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    499,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    501,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    505,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    506,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    507,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    527,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    533,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    554,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    577,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    579,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    587,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    606,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    647,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    659,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    710,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    728,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    741,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    745,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    767,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    791,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    802,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    809,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    810,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    818,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    830,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    839,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    849,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    0,
    649,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    784,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    430,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    432,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    455,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchMode::enum_type, int)
    459,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    481,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    485,  // QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    503,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    510,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    521,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    526,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    531,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    534,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    556,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    572,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    576,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    597,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    612,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    617,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    635,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    642,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    666,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    722,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    733,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    735,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    740,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    749,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    750,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    755,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    797,  // QGlobalSpace::operator|(QDBusConnection::RegisterOptions::enum_type, int)
    817,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    824,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    0,
    412,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    420,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    429,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    450,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    464,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    473,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchMode::enum_type, QFlags<QDBusServiceWatcher::WatchMode::enum_type>)
    476,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    480,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    482,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    484,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    486,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    491,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    493,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    496,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    512,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    514,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    523,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    525,  // QGlobalSpace::operator|(QDBusConnection::RegisterOptions::enum_type, QDBusConnection::RegisterOptions::enum_type)
    543,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    545,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    569,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    570,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    574,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    580,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    586,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    610,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    611,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    613,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    615,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    618,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    619,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    621,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    625,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    633,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    634,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    640,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    641,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    654,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    656,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    660,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    669,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    693,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    699,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    702,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    713,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    719,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchMode::enum_type, QDBusServiceWatcher::WatchMode::enum_type)
    757,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    761,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    770,  // QGlobalSpace::operator|(QDBusConnection::RegisterOptions::enum_type, QFlags<QDBusConnection::RegisterOptions::enum_type>)
    771,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    776,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    782,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    789,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    801,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    812,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    813,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    820,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    826,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    835,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    836,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    843,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    844,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    0,
    502,  // QGlobalSpace::qFuzzyCompare(double, double)
    703,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    568,  // QGlobalSpace::qFuzzyIsNull(double)
    825,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    410,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    444,  // QGlobalSpace::qHash(const QStringRef&)
    456,  // QGlobalSpace::qHash(const QBitArray&)
    520,  // QGlobalSpace::qHash(const QByteArray&)
    566,  // QGlobalSpace::qHash(QChar)
    674,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    426,  // QGlobalSpace::qHash(unsigned char)
    463,  // QGlobalSpace::qHash(const QString&)
    465,  // QGlobalSpace::qHash(unsigned short)
    467,  // QGlobalSpace::qHash(long)
    468,  // QGlobalSpace::qHash(long long)
    517,  // QGlobalSpace::qHash(const QDBusSignature&)
    522,  // QGlobalSpace::qHash(const QDBusObjectPath&)
    560,  // QGlobalSpace::qHash(unsigned long long)
    653,  // QGlobalSpace::qHash(signed char)
    685,  // QGlobalSpace::qHash(short)
    717,  // QGlobalSpace::qHash(unsigned long)
    764,  // QGlobalSpace::qHash(unsigned int)
    787,  // QGlobalSpace::qHash(int)
    815,  // QGlobalSpace::qHash(char)
    0,
    551,  // QGlobalSpace::qIntCast(float)
    599,  // QGlobalSpace::qIntCast(double)
    0,
    622,  // QGlobalSpace::qIsFinite(float)
    821,  // QGlobalSpace::qIsFinite(double)
    0,
    414,  // QGlobalSpace::qIsInf(double)
    475,  // QGlobalSpace::qIsInf(float)
    0,
    500,  // QGlobalSpace::qIsNaN(float)
    683,  // QGlobalSpace::qIsNaN(double)
    0,
    504,  // QGlobalSpace::qIsNull(float)
    594,  // QGlobalSpace::qIsNull(double)
    0,
    246,  // QDBusError::QDBusError(const DBusError*)
    247,  // QDBusError::QDBusError(const QDBusMessage&)
    249,  // QDBusError::QDBusError(const QDBusError&)
    0,
    100,  // QDBusArgument::beginMapEntry()
    126,  // QDBusArgument::beginMapEntry() const
    0,
    94,  // QDBusArgument::beginStructure()
    120,  // QDBusArgument::beginStructure() const
    0,
    97,  // QDBusArgument::endArray()
    123,  // QDBusArgument::endArray() const
    0,
    99,  // QDBusArgument::endMap()
    125,  // QDBusArgument::endMap() const
    0,
    101,  // QDBusArgument::endMapEntry()
    127,  // QDBusArgument::endMapEntry() const
    0,
    95,  // QDBusArgument::endStructure()
    121,  // QDBusArgument::endStructure() const
    0,
    89,  // QDBusArgument::operator<<(const QDBusVariant&)
    93,  // QDBusArgument::operator<<(const QByteArray&)
    0,
    79,  // QDBusArgument::operator<<(unsigned char)
    80,  // QDBusArgument::operator<<(bool)
    81,  // QDBusArgument::operator<<(short)
    82,  // QDBusArgument::operator<<(unsigned short)
    83,  // QDBusArgument::operator<<(int)
    84,  // QDBusArgument::operator<<(unsigned int)
    85,  // QDBusArgument::operator<<(long long)
    86,  // QDBusArgument::operator<<(unsigned long long)
    87,  // QDBusArgument::operator<<(double)
    88,  // QDBusArgument::operator<<(const QString&)
    90,  // QDBusArgument::operator<<(const QDBusObjectPath&)
    91,  // QDBusArgument::operator<<(const QDBusSignature&)
    0,
    115,  // QDBusArgument::operator>>(QDBusVariant&) const
    119,  // QDBusArgument::operator>>(QByteArray&) const
    0,
    105,  // QDBusArgument::operator>>(unsigned char&) const
    106,  // QDBusArgument::operator>>(bool&) const
    107,  // QDBusArgument::operator>>(short&) const
    108,  // QDBusArgument::operator>>(unsigned short&) const
    109,  // QDBusArgument::operator>>(int&) const
    110,  // QDBusArgument::operator>>(unsigned int&) const
    111,  // QDBusArgument::operator>>(long long&) const
    112,  // QDBusArgument::operator>>(unsigned long long&) const
    113,  // QDBusArgument::operator>>(double&) const
    114,  // QDBusArgument::operator>>(QString&) const
    116,  // QDBusArgument::operator>>(QDBusObjectPath&) const
    117,  // QDBusArgument::operator>>(QDBusSignature&) const
    0,
    147,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    168,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    0,
    162,  // QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    163,  // QDBusConnection::connectToBus(const QString&, const QString&)
    0,
    243,  // QDBusContext::sendErrorReply(const QString&) const
    244,  // QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    0,
    240,  // QDBusContext::sendErrorReply(const QString&, const QString&) const
    241,  // QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    298,  // QDBusMessage::createError(const QString&, const QString&)
    300,  // QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    0,
    303,  // QDBusMessage::createErrorReply(const QString, const QString&) const
    305,  // QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 6, 4},	// QDBus::AutoDetect
    {7, 9, 2},	// QDBus::Block
    {7, 10, 3},	// QDBus::BlockWithGui
    {7, 50, 1},	// QDBus::NoBlock
    {8, 59, 12},	// QDBusAbstractAdaptor::QDBusAbstractAdaptor#
    {8, 153, 14},	// QDBusAbstractAdaptor::autoRelaySignals
    {8, 268, 5},	// QDBusAbstractAdaptor::metaObject
    {8, 499, 11},	// QDBusAbstractAdaptor::qt_metacall$$?
    {8, 501, 6},	// QDBusAbstractAdaptor::qt_metacast$
    {8, 547, 13},	// QDBusAbstractAdaptor::setAutoRelaySignals$
    {8, 561, 17},	// QDBusAbstractAdaptor::staticMetaObject
    {8, 565, 15},	// QDBusAbstractAdaptor::tr$
    {8, 566, 7},	// QDBusAbstractAdaptor::tr$$
    {8, 567, 9},	// QDBusAbstractAdaptor::tr$$$
    {8, 569, 16},	// QDBusAbstractAdaptor::trUtf8$
    {8, 570, 8},	// QDBusAbstractAdaptor::trUtf8$$
    {8, 571, 10},	// QDBusAbstractAdaptor::trUtf8$$$
    {8, 583, 18},	// QDBusAbstractAdaptor::~QDBusAbstractAdaptor
    {9, 61, 39},	// QDBusAbstractInterface::QDBusAbstractInterface$$$##
    {9, 141, 63},	// QDBusAbstractInterface::asyncCall$
    {9, 142, 64},	// QDBusAbstractInterface::asyncCall$#
    {9, 143, 65},	// QDBusAbstractInterface::asyncCall$##
    {9, 144, 66},	// QDBusAbstractInterface::asyncCall$###
    {9, 145, 67},	// QDBusAbstractInterface::asyncCall$####
    {9, 146, 68},	// QDBusAbstractInterface::asyncCall$#####
    {9, 147, 69},	// QDBusAbstractInterface::asyncCall$######
    {9, 148, 70},	// QDBusAbstractInterface::asyncCall$#######
    {9, 149, 37},	// QDBusAbstractInterface::asyncCall$########
    {9, 151, 38},	// QDBusAbstractInterface::asyncCallWithArgumentList$?
    {9, 165, 47},	// QDBusAbstractInterface::call$
    {9, 166, 48},	// QDBusAbstractInterface::call$#
    {9, 167, 49},	// QDBusAbstractInterface::call$##
    {9, 168, 50},	// QDBusAbstractInterface::call$###
    {9, 169, 51},	// QDBusAbstractInterface::call$####
    {9, 170, 52},	// QDBusAbstractInterface::call$#####
    {9, 171, 53},	// QDBusAbstractInterface::call$######
    {9, 172, 54},	// QDBusAbstractInterface::call$#######
    {9, 173, 32},	// QDBusAbstractInterface::call$########
    {9, 174, 55},	// QDBusAbstractInterface::call$$
    {9, 175, 56},	// QDBusAbstractInterface::call$$#
    {9, 176, 57},	// QDBusAbstractInterface::call$$##
    {9, 177, 58},	// QDBusAbstractInterface::call$$###
    {9, 178, 59},	// QDBusAbstractInterface::call$$####
    {9, 179, 60},	// QDBusAbstractInterface::call$$#####
    {9, 180, 61},	// QDBusAbstractInterface::call$$######
    {9, 181, 62},	// QDBusAbstractInterface::call$$#######
    {9, 182, 33},	// QDBusAbstractInterface::call$$########
    {9, 184, 34},	// QDBusAbstractInterface::callWithArgumentList$$?
    {9, 189, 36},	// QDBusAbstractInterface::callWithCallback$?#$
    {9, 190, 35},	// QDBusAbstractInterface::callWithCallback$?#$$
    {9, 200, 40},	// QDBusAbstractInterface::connectNotify$
    {9, 203, 27},	// QDBusAbstractInterface::connection
    {9, 229, 41},	// QDBusAbstractInterface::disconnectNotify$
    {9, 247, 30},	// QDBusAbstractInterface::interface
    {9, 249, 71},	// QDBusAbstractInterface::internalConstCall$$
    {9, 250, 44},	// QDBusAbstractInterface::internalConstCall$$?
    {9, 252, 42},	// QDBusAbstractInterface::internalPropGet$
    {9, 254, 43},	// QDBusAbstractInterface::internalPropSet$#
    {9, 262, 26},	// QDBusAbstractInterface::isValid
    {9, 263, 31},	// QDBusAbstractInterface::lastError
    {9, 268, 19},	// QDBusAbstractInterface::metaObject
    {9, 341, 29},	// QDBusAbstractInterface::path
    {9, 499, 25},	// QDBusAbstractInterface::qt_metacall$$?
    {9, 501, 20},	// QDBusAbstractInterface::qt_metacast$
    {9, 530, 28},	// QDBusAbstractInterface::service
    {9, 561, 72},	// QDBusAbstractInterface::staticMetaObject
    {9, 565, 45},	// QDBusAbstractInterface::tr$
    {9, 566, 21},	// QDBusAbstractInterface::tr$$
    {9, 567, 23},	// QDBusAbstractInterface::tr$$$
    {9, 569, 46},	// QDBusAbstractInterface::trUtf8$
    {9, 570, 22},	// QDBusAbstractInterface::trUtf8$$
    {9, 571, 24},	// QDBusAbstractInterface::trUtf8$$$
    {9, 584, 73},	// QDBusAbstractInterface::~QDBusAbstractInterface
    {10, 499, 74},	// QDBusAbstractInterfaceBase::qt_metacall$$?
    {10, 585, 75},	// QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase
    {11, 5, 132},	// QDBusArgument::ArrayType
    {11, 8, 130},	// QDBusArgument::BasicType
    {11, 41, 135},	// QDBusArgument::MapEntryType
    {11, 42, 134},	// QDBusArgument::MapType
    {11, 62, 76},	// QDBusArgument::QDBusArgument
    {11, 63, 77},	// QDBusArgument::QDBusArgument#
    {11, 108, 133},	// QDBusArgument::StructureType
    {11, 115, 136},	// QDBusArgument::UnknownType
    {11, 118, 131},	// QDBusArgument::VariantType
    {11, 135, 102},	// QDBusArgument::appendVariant#
    {11, 137, 129},	// QDBusArgument::asVariant
    {11, 152, 128},	// QDBusArgument::atEnd
    {11, 155, 122},	// QDBusArgument::beginArray
    {11, 156, 96},	// QDBusArgument::beginArray$
    {11, 157, 124},	// QDBusArgument::beginMap
    {11, 158, 98},	// QDBusArgument::beginMap$$
    {11, 159, -394},	// QDBusArgument::beginMapEntry
    {11, 160, -397},	// QDBusArgument::beginStructure
    {11, 217, 103},	// QDBusArgument::currentSignature
    {11, 218, 104},	// QDBusArgument::currentType
    {11, 230, -400},	// QDBusArgument::endArray
    {11, 231, -403},	// QDBusArgument::endMap
    {11, 232, -406},	// QDBusArgument::endMapEntry
    {11, 233, -409},	// QDBusArgument::endStructure
    {11, 300, -412},	// QDBusArgument::operator<<#
    {11, 304, -415},	// QDBusArgument::operator<<$
    {11, 305, 92},	// QDBusArgument::operator<<?
    {11, 312, 78},	// QDBusArgument::operator=#
    {11, 329, -428},	// QDBusArgument::operator>>#
    {11, 333, -431},	// QDBusArgument::operator>>$
    {11, 334, 118},	// QDBusArgument::operator>>?
    {11, 586, 137},	// QDBusArgument::~QDBusArgument
    {12, 2, 178},	// QDBusConnection::ActivationBus
    {12, 15, 179},	// QDBusConnection::ExportAdaptors
    {12, 16, 191},	// QDBusConnection::ExportAllContents
    {12, 17, 190},	// QDBusConnection::ExportAllProperties
    {12, 18, 192},	// QDBusConnection::ExportAllSignal
    {12, 19, 189},	// QDBusConnection::ExportAllSignals
    {12, 20, 188},	// QDBusConnection::ExportAllSlots
    {12, 21, 193},	// QDBusConnection::ExportChildObjects
    {12, 22, 187},	// QDBusConnection::ExportNonScriptableContents
    {12, 23, 186},	// QDBusConnection::ExportNonScriptableProperties
    {12, 24, 185},	// QDBusConnection::ExportNonScriptableSignals
    {12, 25, 184},	// QDBusConnection::ExportNonScriptableSlots
    {12, 26, 183},	// QDBusConnection::ExportScriptableContents
    {12, 27, 182},	// QDBusConnection::ExportScriptableProperties
    {12, 28, 181},	// QDBusConnection::ExportScriptableSignals
    {12, 29, 180},	// QDBusConnection::ExportScriptableSlots
    {12, 65, 139},	// QDBusConnection::QDBusConnection#
    {12, 66, 138},	// QDBusConnection::QDBusConnection$
    {12, 106, 176},	// QDBusConnection::SessionBus
    {12, 109, 177},	// QDBusConnection::SystemBus
    {12, 116, 194},	// QDBusConnection::UnregisterNode
    {12, 117, 195},	// QDBusConnection::UnregisterTree
    {12, 139, 172},	// QDBusConnection::asyncCall#
    {12, 140, 149},	// QDBusConnection::asyncCall#$
    {12, 154, 142},	// QDBusConnection::baseService
    {12, 162, 170},	// QDBusConnection::call#
    {12, 163, 171},	// QDBusConnection::call#$
    {12, 164, 148},	// QDBusConnection::call#$$
    {12, 186, 169},	// QDBusConnection::callWithCallback##$
    {12, 187, -444},	// QDBusConnection::callWithCallback##$$
    {12, 188, 146},	// QDBusConnection::callWithCallback##$$$
    {12, 196, 150},	// QDBusConnection::connect$$$$#$
    {12, 197, 151},	// QDBusConnection::connect$$$$$#$
    {12, 198, 152},	// QDBusConnection::connect$$$$?$#$
    {12, 202, -447},	// QDBusConnection::connectToBus$$
    {12, 223, 153},	// QDBusConnection::disconnect$$$$#$
    {12, 224, 154},	// QDBusConnection::disconnect$$$$$#$
    {12, 225, 155},	// QDBusConnection::disconnect$$$$?$#$
    {12, 227, 164},	// QDBusConnection::disconnectFromBus$
    {12, 247, 161},	// QDBusConnection::interface
    {12, 255, 141},	// QDBusConnection::isConnected
    {12, 263, 143},	// QDBusConnection::lastError
    {12, 269, 144},	// QDBusConnection::name
    {12, 273, 158},	// QDBusConnection::objectRegisteredAt$
    {12, 312, 140},	// QDBusConnection::operator=#
    {12, 514, 173},	// QDBusConnection::registerObject$#
    {12, 515, 156},	// QDBusConnection::registerObject$#$
    {12, 517, 159},	// QDBusConnection::registerService$
    {12, 525, 145},	// QDBusConnection::send#
    {12, 529, 167},	// QDBusConnection::sender
    {12, 543, 165},	// QDBusConnection::sessionBus
    {12, 561, 175},	// QDBusConnection::staticMetaObject
    {12, 562, 166},	// QDBusConnection::systemBus
    {12, 576, 174},	// QDBusConnection::unregisterObject$
    {12, 577, 157},	// QDBusConnection::unregisterObject$$
    {12, 579, 160},	// QDBusConnection::unregisterService$
    {12, 587, 196},	// QDBusConnection::~QDBusConnection
    {13, 4, 230},	// QDBusConnectionInterface::AllowReplacement
    {13, 12, 229},	// QDBusConnectionInterface::DontAllowReplacement
    {13, 13, 226},	// QDBusConnectionInterface::DontQueueService
    {13, 45, 216},	// QDBusConnectionInterface::NameAcquired$
    {13, 47, 217},	// QDBusConnectionInterface::NameLost$
    {13, 49, 218},	// QDBusConnectionInterface::NameOwnerChanged$$$
    {13, 99, 227},	// QDBusConnectionInterface::QueueService
    {13, 100, 228},	// QDBusConnectionInterface::ReplaceExistingService
    {13, 102, 231},	// QDBusConnectionInterface::ServiceNotRegistered
    {13, 103, 233},	// QDBusConnectionInterface::ServiceQueued
    {13, 104, 232},	// QDBusConnectionInterface::ServiceRegistered
    {13, 192, 215},	// QDBusConnectionInterface::callWithCallbackFailed##
    {13, 200, 219},	// QDBusConnectionInterface::connectNotify$
    {13, 229, 220},	// QDBusConnectionInterface::disconnectNotify$
    {13, 261, 205},	// QDBusConnectionInterface::isServiceRegistered$
    {13, 268, 197},	// QDBusConnectionInterface::metaObject
    {13, 499, 203},	// QDBusConnectionInterface::qt_metacall$$?
    {13, 501, 198},	// QDBusConnectionInterface::qt_metacast$
    {13, 517, 223},	// QDBusConnectionInterface::registerService$
    {13, 518, 224},	// QDBusConnectionInterface::registerService$$
    {13, 519, 208},	// QDBusConnectionInterface::registerService$$$
    {13, 520, 204},	// QDBusConnectionInterface::registeredServiceNames
    {13, 532, 206},	// QDBusConnectionInterface::serviceOwner$
    {13, 534, 214},	// QDBusConnectionInterface::serviceOwnerChanged$$$
    {13, 536, 209},	// QDBusConnectionInterface::servicePid$
    {13, 538, 212},	// QDBusConnectionInterface::serviceRegistered$
    {13, 540, 210},	// QDBusConnectionInterface::serviceUid$
    {13, 542, 213},	// QDBusConnectionInterface::serviceUnregistered$
    {13, 560, 211},	// QDBusConnectionInterface::startService$
    {13, 561, 225},	// QDBusConnectionInterface::staticMetaObject
    {13, 565, 221},	// QDBusConnectionInterface::tr$
    {13, 566, 199},	// QDBusConnectionInterface::tr$$
    {13, 567, 201},	// QDBusConnectionInterface::tr$$$
    {13, 569, 222},	// QDBusConnectionInterface::trUtf8$
    {13, 570, 200},	// QDBusConnectionInterface::trUtf8$$
    {13, 571, 202},	// QDBusConnectionInterface::trUtf8$$$
    {13, 579, 207},	// QDBusConnectionInterface::unregisterService$
    {14, 67, 234},	// QDBusContext::QDBusContext
    {14, 68, 242},	// QDBusContext::QDBusContext#
    {14, 193, 235},	// QDBusContext::calledFromDBus
    {14, 203, 236},	// QDBusContext::connection
    {14, 256, 238},	// QDBusContext::isDelayedReply
    {14, 267, 237},	// QDBusContext::message
    {14, 527, -450},	// QDBusContext::sendErrorReply$
    {14, 528, -453},	// QDBusContext::sendErrorReply$$
    {14, 551, 239},	// QDBusContext::setDelayedReply$
    {14, 588, 245},	// QDBusContext::~QDBusContext
    {15, 1, 266},	// QDBusError::AccessDenied
    {15, 3, 270},	// QDBusError::AddressInUse
    {15, 7, 263},	// QDBusError::BadAddress
    {15, 11, 271},	// QDBusError::Disconnected
    {15, 30, 259},	// QDBusError::Failed
    {15, 31, 277},	// QDBusError::InternalError
    {15, 32, 272},	// QDBusError::InvalidArgs
    {15, 33, 281},	// QDBusError::InvalidInterface
    {15, 34, 282},	// QDBusError::InvalidMember
    {15, 36, 280},	// QDBusError::InvalidObjectPath
    {15, 37, 279},	// QDBusError::InvalidService
    {15, 38, 275},	// QDBusError::InvalidSignature
    {15, 39, 283},	// QDBusError::LastErrorType
    {15, 40, 265},	// QDBusError::LimitsExceeded
    {15, 51, 257},	// QDBusError::NoError
    {15, 52, 260},	// QDBusError::NoMemory
    {15, 53, 269},	// QDBusError::NoNetwork
    {15, 54, 262},	// QDBusError::NoReply
    {15, 55, 267},	// QDBusError::NoServer
    {15, 56, 264},	// QDBusError::NotSupported
    {15, 57, 258},	// QDBusError::Other
    {15, 69, 256},	// QDBusError::QDBusError
    {15, 70, -390},	// QDBusError::QDBusError#
    {15, 71, 248},	// QDBusError::QDBusError$$
    {15, 105, 261},	// QDBusError::ServiceUnknown
    {15, 110, 274},	// QDBusError::TimedOut
    {15, 111, 268},	// QDBusError::Timeout
    {15, 112, 276},	// QDBusError::UnknownInterface
    {15, 113, 273},	// QDBusError::UnknownMethod
    {15, 114, 278},	// QDBusError::UnknownObject
    {15, 238, 255},	// QDBusError::errorString$
    {15, 262, 254},	// QDBusError::isValid
    {15, 267, 253},	// QDBusError::message
    {15, 269, 252},	// QDBusError::name
    {15, 312, 250},	// QDBusError::operator=#
    {15, 572, 251},	// QDBusError::type
    {15, 589, 284},	// QDBusError::~QDBusError
    {16, 73, 289},	// QDBusInterface::QDBusInterface$$
    {16, 74, 290},	// QDBusInterface::QDBusInterface$$$
    {16, 75, 291},	// QDBusInterface::QDBusInterface$$$#
    {16, 76, 285},	// QDBusInterface::QDBusInterface$$$##
    {16, 268, 286},	// QDBusInterface::metaObject
    {16, 499, 288},	// QDBusInterface::qt_metacall$$?
    {16, 501, 287},	// QDBusInterface::qt_metacast$
    {16, 590, 292},	// QDBusInterface::~QDBusInterface
    {17, 14, 324},	// QDBusMessage::ErrorMessage
    {17, 35, 321},	// QDBusMessage::InvalidMessage
    {17, 43, 322},	// QDBusMessage::MethodCallMessage
    {17, 77, 293},	// QDBusMessage::QDBusMessage
    {17, 78, 294},	// QDBusMessage::QDBusMessage#
    {17, 101, 323},	// QDBusMessage::ReplyMessage
    {17, 107, 325},	// QDBusMessage::SignalMessage
    {17, 136, 318},	// QDBusMessage::arguments
    {17, 205, 299},	// QDBusMessage::createError#
    {17, 206, -456},	// QDBusMessage::createError$$
    {17, 208, 304},	// QDBusMessage::createErrorReply#
    {17, 209, -459},	// QDBusMessage::createErrorReply$$
    {17, 211, 297},	// QDBusMessage::createMethodCall$$$$
    {17, 212, 320},	// QDBusMessage::createReply
    {17, 213, 302},	// QDBusMessage::createReply#
    {17, 214, 301},	// QDBusMessage::createReply?
    {17, 216, 296},	// QDBusMessage::createSignal$$$
    {17, 235, 311},	// QDBusMessage::errorMessage
    {17, 236, 310},	// QDBusMessage::errorName
    {17, 247, 308},	// QDBusMessage::interface
    {17, 256, 316},	// QDBusMessage::isDelayedReply
    {17, 259, 314},	// QDBusMessage::isReplyRequired
    {17, 266, 309},	// QDBusMessage::member
    {17, 300, 319},	// QDBusMessage::operator<<#
    {17, 312, 295},	// QDBusMessage::operator=#
    {17, 341, 307},	// QDBusMessage::path
    {17, 530, 306},	// QDBusMessage::service
    {17, 545, 317},	// QDBusMessage::setArguments?
    {17, 551, 315},	// QDBusMessage::setDelayedReply$
    {17, 556, 313},	// QDBusMessage::signature
    {17, 572, 312},	// QDBusMessage::type
    {17, 591, 326},	// QDBusMessage::~QDBusMessage
    {18, 79, 332},	// QDBusMetaType::QDBusMetaType
    {18, 80, 333},	// QDBusMetaType::QDBusMetaType#
    {18, 221, 329},	// QDBusMetaType::demarshall#$$
    {18, 265, 328},	// QDBusMetaType::marshall#$$
    {18, 512, 327},	// QDBusMetaType::registerMarshallOperators$$$
    {18, 558, 330},	// QDBusMetaType::signatureToType$
    {18, 574, 331},	// QDBusMetaType::typeToSignature$
    {18, 592, 334},	// QDBusMetaType::~QDBusMetaType
    {19, 82, 335},	// QDBusPendingCall::QDBusPendingCall#
    {19, 234, 341},	// QDBusPendingCall::error
    {19, 244, 344},	// QDBusPendingCall::fromCompletedCall#
    {19, 246, 343},	// QDBusPendingCall::fromError#
    {19, 257, 339},	// QDBusPendingCall::isError
    {19, 258, 337},	// QDBusPendingCall::isFinished
    {19, 262, 340},	// QDBusPendingCall::isValid
    {19, 312, 336},	// QDBusPendingCall::operator=#
    {19, 523, 342},	// QDBusPendingCall::reply
    {19, 580, 338},	// QDBusPendingCall::waitForFinished
    {19, 593, 345},	// QDBusPendingCall::~QDBusPendingCall
    {20, 84, 358},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher#
    {20, 85, 353},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher##
    {20, 242, 355},	// QDBusPendingCallWatcher::finished#
    {20, 268, 346},	// QDBusPendingCallWatcher::metaObject
    {20, 499, 352},	// QDBusPendingCallWatcher::qt_metacall$$?
    {20, 501, 347},	// QDBusPendingCallWatcher::qt_metacast$
    {20, 561, 359},	// QDBusPendingCallWatcher::staticMetaObject
    {20, 565, 356},	// QDBusPendingCallWatcher::tr$
    {20, 566, 348},	// QDBusPendingCallWatcher::tr$$
    {20, 567, 350},	// QDBusPendingCallWatcher::tr$$$
    {20, 569, 357},	// QDBusPendingCallWatcher::trUtf8$
    {20, 570, 349},	// QDBusPendingCallWatcher::trUtf8$$
    {20, 571, 351},	// QDBusPendingCallWatcher::trUtf8$$$
    {20, 580, 354},	// QDBusPendingCallWatcher::waitForFinished
    {20, 594, 360},	// QDBusPendingCallWatcher::~QDBusPendingCallWatcher
    {21, 87, 375},	// QDBusServer::QDBusServer$
    {21, 88, 368},	// QDBusServer::QDBusServer$#
    {21, 133, 371},	// QDBusServer::address
    {21, 255, 369},	// QDBusServer::isConnected
    {21, 263, 370},	// QDBusServer::lastError
    {21, 268, 361},	// QDBusServer::metaObject
    {21, 271, 372},	// QDBusServer::newConnection#
    {21, 499, 367},	// QDBusServer::qt_metacall$$?
    {21, 501, 362},	// QDBusServer::qt_metacast$
    {21, 561, 376},	// QDBusServer::staticMetaObject
    {21, 565, 373},	// QDBusServer::tr$
    {21, 566, 363},	// QDBusServer::tr$$
    {21, 567, 365},	// QDBusServer::tr$$$
    {21, 569, 374},	// QDBusServer::trUtf8$
    {21, 570, 364},	// QDBusServer::trUtf8$$
    {21, 571, 366},	// QDBusServer::trUtf8$$$
    {21, 595, 377},	// QDBusServer::~QDBusServer
    {22, 89, 400},	// QDBusServiceWatcher::QDBusServiceWatcher
    {22, 90, 385},	// QDBusServiceWatcher::QDBusServiceWatcher#
    {22, 91, 401},	// QDBusServiceWatcher::QDBusServiceWatcher$#
    {22, 92, 402},	// QDBusServiceWatcher::QDBusServiceWatcher$#$
    {22, 93, 386},	// QDBusServiceWatcher::QDBusServiceWatcher$#$#
    {22, 119, 406},	// QDBusServiceWatcher::WatchForOwnerChange
    {22, 120, 404},	// QDBusServiceWatcher::WatchForRegistration
    {22, 121, 405},	// QDBusServiceWatcher::WatchForUnregistration
    {22, 132, 389},	// QDBusServiceWatcher::addWatchedService$
    {22, 203, 393},	// QDBusServiceWatcher::connection
    {22, 268, 378},	// QDBusServiceWatcher::metaObject
    {22, 499, 384},	// QDBusServiceWatcher::qt_metacall$$?
    {22, 501, 379},	// QDBusServiceWatcher::qt_metacast$
    {22, 522, 390},	// QDBusServiceWatcher::removeWatchedService$
    {22, 534, 397},	// QDBusServiceWatcher::serviceOwnerChanged$$$
    {22, 538, 395},	// QDBusServiceWatcher::serviceRegistered$
    {22, 542, 396},	// QDBusServiceWatcher::serviceUnregistered$
    {22, 549, 394},	// QDBusServiceWatcher::setConnection#
    {22, 553, 392},	// QDBusServiceWatcher::setWatchMode$
    {22, 555, 388},	// QDBusServiceWatcher::setWatchedServices?
    {22, 561, 403},	// QDBusServiceWatcher::staticMetaObject
    {22, 565, 398},	// QDBusServiceWatcher::tr$
    {22, 566, 380},	// QDBusServiceWatcher::tr$$
    {22, 567, 382},	// QDBusServiceWatcher::tr$$$
    {22, 569, 399},	// QDBusServiceWatcher::trUtf8$
    {22, 570, 381},	// QDBusServiceWatcher::trUtf8$$
    {22, 571, 383},	// QDBusServiceWatcher::trUtf8$$$
    {22, 581, 391},	// QDBusServiceWatcher::watchMode
    {22, 582, 387},	// QDBusServiceWatcher::watchedServices
    {22, 596, 407},	// QDBusServiceWatcher::~QDBusServiceWatcher
    {31, 94, 858},	// QGlobalSpace::QtCriticalMsg
    {31, 95, 856},	// QGlobalSpace::QtDebugMsg
    {31, 96, 859},	// QGlobalSpace::QtFatalMsg
    {31, 97, 860},	// QGlobalSpace::QtSystemMsg
    {31, 98, 857},	// QGlobalSpace::QtWarningMsg
    {31, 122, 851},	// QGlobalSpace::_IEEE_
    {31, 123, 855},	// QGlobalSpace::_ISOC_
    {31, 124, 854},	// QGlobalSpace::_POSIX_
    {31, 125, 852},	// QGlobalSpace::_SVID_
    {31, 126, 853},	// QGlobalSpace::_XOPEN_
    {31, 127, 863},	// QGlobalSpace::__codecvt_error
    {31, 128, 864},	// QGlobalSpace::__codecvt_noconv
    {31, 129, 861},	// QGlobalSpace::__codecvt_ok
    {31, 130, 862},	// QGlobalSpace::__codecvt_partial
    {31, 275, -1},	// QGlobalSpace::operator!=##
    {31, 276, -18},	// QGlobalSpace::operator!=#$
    {31, 277, -24},	// QGlobalSpace::operator!=$#
    {31, 278, -31},	// QGlobalSpace::operator!=$$
    {31, 280, 408},	// QGlobalSpace::operator&##
    {31, 282, -35},	// QGlobalSpace::operator*#$
    {31, 283, -40},	// QGlobalSpace::operator*$#
    {31, 285, -45},	// QGlobalSpace::operator+##
    {31, 286, -51},	// QGlobalSpace::operator+#$
    {31, 287, -56},	// QGlobalSpace::operator+$#
    {31, 288, -61},	// QGlobalSpace::operator+$$
    {31, 290, -67},	// QGlobalSpace::operator-#
    {31, 291, -70},	// QGlobalSpace::operator-##
    {31, 293, -75},	// QGlobalSpace::operator/#$
    {31, 295, -80},	// QGlobalSpace::operator<##
    {31, 296, 478},	// QGlobalSpace::operator<#$
    {31, 297, -85},	// QGlobalSpace::operator<$#
    {31, 298, -88},	// QGlobalSpace::operator<$$
    {31, 301, -92},	// QGlobalSpace::operator<<##
    {31, 302, -146},	// QGlobalSpace::operator<<#$
    {31, 303, -152},	// QGlobalSpace::operator<<#?
    {31, 307, -156},	// QGlobalSpace::operator<=##
    {31, 308, 591},	// QGlobalSpace::operator<=#$
    {31, 309, -161},	// QGlobalSpace::operator<=$#
    {31, 310, 509},	// QGlobalSpace::operator<=$$
    {31, 314, -164},	// QGlobalSpace::operator==##
    {31, 315, -183},	// QGlobalSpace::operator==#$
    {31, 316, -189},	// QGlobalSpace::operator==$#
    {31, 317, -196},	// QGlobalSpace::operator==$$
    {31, 319, -200},	// QGlobalSpace::operator>##
    {31, 320, 753},	// QGlobalSpace::operator>#$
    {31, 321, -205},	// QGlobalSpace::operator>$#
    {31, 322, 748},	// QGlobalSpace::operator>$$
    {31, 324, -208},	// QGlobalSpace::operator>=##
    {31, 325, 681},	// QGlobalSpace::operator>=#$
    {31, 326, -213},	// QGlobalSpace::operator>=$#
    {31, 327, 814},	// QGlobalSpace::operator>=$$
    {31, 330, -216},	// QGlobalSpace::operator>>##
    {31, 331, -249},	// QGlobalSpace::operator>>#$
    {31, 332, 726},	// QGlobalSpace::operator>>#?
    {31, 336, 600},	// QGlobalSpace::operator^##
    {31, 338, 643},	// QGlobalSpace::operator|##
    {31, 339, -252},	// QGlobalSpace::operator|?$
    {31, 340, -284},	// QGlobalSpace::operator|??
    {31, 343, 608},	// QGlobalSpace::qAcos$
    {31, 345, 585},	// QGlobalSpace::qAddPostRoutine$
    {31, 346, 565},	// QGlobalSpace::qAppName
    {31, 348, 698},	// QGlobalSpace::qAsin$
    {31, 350, 458},	// QGlobalSpace::qAtan$
    {31, 352, 575},	// QGlobalSpace::qAtan2$$
    {31, 354, 436},	// QGlobalSpace::qCeil$
    {31, 356, 601},	// QGlobalSpace::qChecksum$$
    {31, 358, 582},	// QGlobalSpace::qCompress#
    {31, 359, 581},	// QGlobalSpace::qCompress#$
    {31, 360, 775},	// QGlobalSpace::qCompress$$
    {31, 361, 774},	// QGlobalSpace::qCompress$$$
    {31, 363, 472},	// QGlobalSpace::qCos$
    {31, 364, 409},	// QGlobalSpace::qCritical
    {31, 366, 584},	// QGlobalSpace::qDBusReplyFill###
    {31, 367, 778},	// QGlobalSpace::qDebug
    {31, 369, 588},	// QGlobalSpace::qExp$
    {31, 371, 423},	// QGlobalSpace::qFabs$
    {31, 373, 806},	// QGlobalSpace::qFastCos$
    {31, 375, 829},	// QGlobalSpace::qFastSin$
    {31, 377, 679},	// QGlobalSpace::qFlagLocation$
    {31, 379, 667},	// QGlobalSpace::qFloor$
    {31, 381, 760},	// QGlobalSpace::qFree$
    {31, 383, 549},	// QGlobalSpace::qFreeAligned$
    {31, 385, -347},	// QGlobalSpace::qFuzzyCompare$$
    {31, 387, -350},	// QGlobalSpace::qFuzzyIsNull$
    {31, 389, -353},	// QGlobalSpace::qHash#
    {31, 390, -360},	// QGlobalSpace::qHash$
    {31, 391, 686},	// QGlobalSpace::qInf
    {31, 393, 537},	// QGlobalSpace::qInstallMsgHandler$
    {31, 395, -375},	// QGlobalSpace::qIntCast$
    {31, 397, -378},	// QGlobalSpace::qIsFinite$
    {31, 399, -381},	// QGlobalSpace::qIsInf$
    {31, 401, -384},	// QGlobalSpace::qIsNaN$
    {31, 403, -387},	// QGlobalSpace::qIsNull$
    {31, 405, 723},	// QGlobalSpace::qLn$
    {31, 407, 846},	// QGlobalSpace::qMalloc?
    {31, 409, 772},	// QGlobalSpace::qMallocAligned??
    {31, 411, 680},	// QGlobalSpace::qMemCopy$$?
    {31, 413, 573},	// QGlobalSpace::qMemSet$$?
    {31, 415, 792},	// QGlobalSpace::qPow$$
    {31, 416, 425},	// QGlobalSpace::qQNaN
    {31, 418, 626},	// QGlobalSpace::qRealloc$?
    {31, 420, 559},	// QGlobalSpace::qReallocAligned$???
    {31, 422, 466},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {31, 424, 677},	// QGlobalSpace::qRemovePostRoutine$
    {31, 426, 637},	// QGlobalSpace::qRound$
    {31, 428, 766},	// QGlobalSpace::qRound64$
    {31, 429, 823},	// QGlobalSpace::qSNaN
    {31, 431, 712},	// QGlobalSpace::qSetFieldWidth$
    {31, 433, 530},	// QGlobalSpace::qSetPadChar#
    {31, 435, 695},	// QGlobalSpace::qSetRealNumberPrecision$
    {31, 436, 536},	// QGlobalSpace::qSharedBuild
    {31, 438, 697},	// QGlobalSpace::qSin$
    {31, 440, 657},	// QGlobalSpace::qSqrt$
    {31, 442, 555},	// QGlobalSpace::qStringComparisonHelper#$
    {31, 443, 800},	// QGlobalSpace::qStringComparisonHelper$$
    {31, 445, 783},	// QGlobalSpace::qTan$
    {31, 447, 691},	// QGlobalSpace::qUncompress#
    {31, 448, 827},	// QGlobalSpace::qUncompress$$
    {31, 449, 428},	// QGlobalSpace::qVersion
    {31, 450, 483},	// QGlobalSpace::qWarning
    {31, 452, 457},	// QGlobalSpace::qbswap_helper$$$
    {31, 454, 701},	// QGlobalSpace::qgcvt$$$
    {31, 456, 604},	// QGlobalSpace::qgetenv$
    {31, 458, 553},	// QGlobalSpace::qputenv$#
    {31, 459, 437},	// QGlobalSpace::qrand
    {31, 461, 751},	// QGlobalSpace::qsort$???
    {31, 463, 474},	// QGlobalSpace::qsrand$
    {31, 465, 529},	// QGlobalSpace::qstrcmp##
    {31, 466, 532},	// QGlobalSpace::qstrcmp#$
    {31, 467, 780},	// QGlobalSpace::qstrcmp$#
    {31, 468, 658},	// QGlobalSpace::qstrcmp$$
    {31, 470, 419},	// QGlobalSpace::qstrcpy$$
    {31, 472, 777},	// QGlobalSpace::qstrdup$
    {31, 474, 700},	// QGlobalSpace::qstricmp$$
    {31, 476, 727},	// QGlobalSpace::qstrlen$
    {31, 478, 557},	// QGlobalSpace::qstrncmp$$$
    {31, 480, 616},	// QGlobalSpace::qstrncpy$$$
    {31, 482, 519},	// QGlobalSpace::qstrnicmp$$$
    {31, 484, 664},	// QGlobalSpace::qstrnlen$$
    {31, 486, 838},	// QGlobalSpace::qtTrId$
    {31, 487, 837},	// QGlobalSpace::qtTrId$$
    {31, 489, 411},	// QGlobalSpace::qt_assert$$$
    {31, 491, 628},	// QGlobalSpace::qt_assert_x$$$$
    {31, 493, 524},	// QGlobalSpace::qt_check_pointer$$
    {31, 494, 624},	// QGlobalSpace::qt_error_string
    {31, 495, 623},	// QGlobalSpace::qt_error_string$
    {31, 497, 803},	// QGlobalSpace::qt_message_output$$
    {31, 502, 708},	// QGlobalSpace::qt_noop
    {31, 504, 540},	// QGlobalSpace::qt_qFindChild_helper#$#
    {31, 506, 744},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {31, 508, 462},	// QGlobalSpace::qvariant_cast_helper#$$
    {31, 510, 706},	// QGlobalSpace::qvsnprintf$?$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtdbus_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtdbus_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtdbus_Smoke = new Smoke(
        "qtdbus",
        __smokeqtdbus::classes, 59,
        __smokeqtdbus::methods, 874,
        __smokeqtdbus::methodMaps, 522,
        __smokeqtdbus::methodNames, 596,
        __smokeqtdbus::types, 324,
        __smokeqtdbus::inheritanceList,
        __smokeqtdbus::argumentList,
        __smokeqtdbus::ambiguousMethodList,
        __smokeqtdbus::cast );
    initialized = true;
}

void delete_qtdbus_Smoke() { delete qtdbus_Smoke; }

}
